<?php
/**
  * @author    United Parcel Service of America, Inc.*
  * @copyright (c) 2019 United Parcel Service of America, Inc., all rights reserved*
  * @license   This work is Licensed under the Academic Free License version 3.0
  *            http://opensource.org/licenses/afl-3.0.php *
  * @link      https://www.ups.com/pl/en/services/technology-integration/ecommerce-plugins.page *
 */

return array(
    'PL' => array(
        'en' => array(
            'name' => 'Poland',
            'infomation_link' => 'https://www.ups.com/pl/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/pl/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/pl/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/pl/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_PL',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_PL/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-PL/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => '',
        ),
        'pl' => array(
            'name' => 'Poland',
            'infomation_link' => 'https://www.ups.com/pl/pl/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/pl/pl/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/pl/pl/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/pl/pl/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=pl_PL',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/pl_PL/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/pl-PL/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => '',
        ),
    ),
    'GB' => array(
        'en' => array(
            'name' => 'United Kingdom',
            'infomation_link' => 'https://www.ups.com/gb/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/gb/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/gb/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/gb/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_GB',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_GB/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-GB/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/gb/en/help-center/contact.page',
        ),
    ),
    'FR' => array(
        'en' => array(
            'name' => 'France',
            'infomation_link' => 'https://www.ups.com/fr/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/fr/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/fr/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/fr/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_FR',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_GB/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-FR/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/fr/en/help-center/contact.page',
        ),
        'fr' => array(
            'name' => 'France',
            'infomation_link' => 'https://www.ups.com/fr/fr/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/fr/fr/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/fr/fr/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/fr/fr/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=fr_FR',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/fr_FR/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/fr-FR/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/fr/fr/help-center/contact.page',
        ),
    ),
    'DE' => array(
        'en' => array(
            'name' => 'France',
            'infomation_link' => 'https://www.ups.com/de/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/de/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/de/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/de/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_DE',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_DE/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-DE/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/de/en/help-center/contact.page',
        ),
        'de' => array(
            'name' => 'France',
            'infomation_link' => 'https://www.ups.com/de/de/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/de/de/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/de/de/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/de/de/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=de_DE',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/de_DE/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/de_DE/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/de/de/help-center/contact.page',
        ),
    ),
    'ES' => array(
        'en' => array(
            'name' => 'France',
            'infomation_link' => 'https://www.ups.com/es/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/es/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/de/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/es/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_ES',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_ES/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-ES/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/es/en/help-center/contact.page',
        ),
        'es' => array(
            'name' => 'France',
            'infomation_link' => 'https://www.ups.com/es/es/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/es/es/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/es/es/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/es/es/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=es_ES',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/es_ES/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/es-ES/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/es/es/help-center/contact.page',
        ),
    ),
    'IT' => array(
        'en' => array(
            'name' => 'France',
            'infomation_link' => 'https://www.ups.com/it/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/it/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/it/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/it/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_IT',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_IT/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-IT/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/it/en/help-center/contact.page',
        ),
        'it' => array(
            'name' => 'France',
            'infomation_link' => 'https://www.ups.com/it/it/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/it/it/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/it/it/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/it/it/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=it_IT',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/it_IT/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/it_IT/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/it/it/help-center/contact.page',
        ),
    ),
    'NL' => array(
        'en' => array(
            'name' => 'France',
            'infomation_link' => 'https://www.ups.com/nl/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/nl/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/nl/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/nl/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_NL',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_NL/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-NL/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/nl/en/help-center/contact.page',
        ),
        'nl' => array(
            'name' => 'France',
            'infomation_link' => 'https://www.ups.com/nl/nl/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/nl/nl/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/nl/nl/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/nl/nl/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=nl_NL',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/nl_NL/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/nl_NL/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/nl/nl/help-center/contact.page',
        ),
    ),
    'BE' => array(
        'en' => array(
            'name' => 'France',
            'infomation_link' => 'https://www.ups.com/be/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/be/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/be/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/be/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_be',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_be/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-be/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/be/en/help-center/contact.page',
        ),
        'fr' => array(
            'name' => 'France',
            'infomation_link' => 'https://www.ups.com/be/fr/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/be/fr/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/be/fr/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/be/fr/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=fr_BE',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/fr_BE/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/fr_BE/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/be/fr/help-center/contact.page',
        ),
        'nl' => array(
            'name' => 'France',
            'infomation_link' => 'https://www.ups.com/be/nl/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/be/nl/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/be/nl/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/be/nl/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=nl_BE',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/nl_BE/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/nl_BE/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/be/nl/help-center/contact.page',
        ),
    ),
    'SE' => array(
        'en' => array(
            'name' => 'Sweden',
            'infomation_link' => 'https://www.ups.com/se/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/se/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/se/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/se/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_SE',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_SE/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-SE/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/se/en/help-center/contact.page',
        ),
        'se' => array(
            'name' => 'Sweden',
            'infomation_link' => 'https://www.ups.com/se/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/se/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/se/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/se/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=se_SE',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_SE/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-se/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/se/en/help-center/contact.page',
        ),
    ),
    'AT' => array(
        'en' => array(
            'name' => 'Austria',
            'infomation_link' => 'https://www.ups.com/at/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/at/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/at/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/at/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_AT',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_AT/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-AT/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/at/en/help-center/contact.page',
        ),
        'de' => array(
            'name' => 'Austria',
            'infomation_link' => 'https://www.ups.com/de/de/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/de/de/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/de/de/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/de/de/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=de_AT',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/de_AT/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/de_AT/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/de/de/help-center/contact.page',
        ),
    ),
    'BG' => array(
        'en' => array(
            'name' => 'Bulgaria',
            'infomation_link' => 'https://www.ups.com/bg/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/bg/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/bg/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/bg/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_BG',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_BG/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-BG/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/bg/en/help-center/contact.page',
        ),
        'bg' => array(
            'name' => 'Bulgaria',
            'infomation_link' => 'https://www.ups.com/bg/bg/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/bg/bg/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/bg/bg/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/bg/bg/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=bg_BG',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/bg_BG/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/bg_BG/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/bg/bg/help-center/contact.page',
        ),
    ),
    'HR' => array(
        'en' => array(
            'name' => 'Croatia',
            'infomation_link' => 'https://www.ups.com/hr/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/hr/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/hr/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/hr/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_HR',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_HR/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-HR/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/hr/en/help-center/contact.page',
        ),
        'hr' => array(
            'name' => 'Croatia',
            'infomation_link' => 'https://www.ups.com/hr/hr/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/hr/hr/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/hr/hr/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/hr/hr/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=hr_HR',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/hr_HR/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/hr_HR/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/hr/hr/help-center/contact.page',
        ),
    ),
    'CY' => array(
        'en' => array(
            'name' => 'Cyprus',
            'infomation_link' => 'https://www.ups.com/cy/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/cy/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/cy/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/cy/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_CY',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_CY/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-CY/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/cy/en/help-center/contact.page',
        ),
        'cy' => array(
            'name' => 'Cyprus',
            'infomation_link' => 'https://www.ups.com/cy/cy/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/cy/cy/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/cy/cy/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/cy/cy/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=cy_CY',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/cy_CY/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/cy_CY/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/cy/cy/help-center/contact.page',
        ),
    ),
    'CZ' => array(
        'en' => array(
            'name' => 'CzechRepublic',
            'infomation_link' => 'https://www.ups.com/cz/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/cz/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/cz/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/cz/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_CZ',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_CZ/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-CZ/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/cz/en/help-center/contact.page',
        ),
        'cs' => array(
            'name' => 'CzechRepublic',
            'infomation_link' => 'https://www.ups.com/cs/cs/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/cs/cs/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/cs/cs/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/cs/cs/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=cs_CZ',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/cs_CZ/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/cs_CZ/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/cs/cs/help-center/contact.page',
        ),
    ),
    'DK' => array(
        'en' => array(
            'name' => 'Denmark',
            'infomation_link' => 'https://www.ups.com/dk/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/dk/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/dk/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/dk/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_DK',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_DK/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-DK/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/dk/en/help-center/contact.page',
        ),
        'da' => array(
            'name' => 'Denmark',
            'infomation_link' => 'https://www.ups.com/da/da/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/da/da/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/da/da/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/da/da/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=da_DK',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/da_DK/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/da_DK/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/da/da/help-center/contact.page',
        ),
    ),
    'EE' => array(
        'en' => array(
            'name' => 'Estonia',
            'infomation_link' => 'https://www.ups.com/ee/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/ee/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/ee/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/ee/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_EE',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_EE/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-EE/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/ee/en/help-center/contact.page',
        ),
        'et' => array(
            'name' => 'Estonia',
            'infomation_link' => 'https://www.ups.com/et/et/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/et/et/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/et/et/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/et/et/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=et_EE',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/et_EE/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/et_EE/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/et/et/help-center/contact.page',
        ),
    ),
    'FI' => array(
        'en' => array(
            'name' => 'Finland',
            'infomation_link' => 'https://www.ups.com/fi/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/fi/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/fi/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/fi/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_FI',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_FI/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-FI/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/fi/en/help-center/contact.page',
        ),
        'fi' => array(
            'name' => 'Finland',
            'infomation_link' => 'https://www.ups.com/fi/fi/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/fi/fi/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/fi/fi/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/fi/fi/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=fi_FI',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/fi_FI/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/fi_FI/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/fi/fi/help-center/contact.page',
        ),
    ),
    'GR' => array(
        'en' => array(
            'name' => 'Greece',
            'infomation_link' => 'https://www.ups.com/el/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/el/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/el/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/el/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_GR',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_GR/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-GR/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/el/en/help-center/contact.page',
        ),
        'el' => array(
            'name' => 'Greece',
            'infomation_link' => 'https://www.ups.com/el/el/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/el/el/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/el/el/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/el/el/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=el_GR',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/el_GR/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/el_GR/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/el/el/help-center/contact.page',
        ),
    ),
    'HU' => array(
        'en' => array(
            'name' => 'Hungary',
            'infomation_link' => 'https://www.ups.com/hu/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/hu/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/hu/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/hu/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_HU',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_HU/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-HU/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/hu/en/help-center/contact.page',
        ),
        'hu' => array(
            'name' => 'Hungary',
            'infomation_link' => 'https://www.ups.com/hu/hu/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/hu/hu/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/hu/hu/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/hu/hu/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=hu_HU',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/hu_HU/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/hu_HU/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/hu/hu/help-center/contact.page',
        ),
    ),
    'IE' => array(
        'en' => array(
            'name' => 'Ireland',
            'infomation_link' => 'https://www.ups.com/ie/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/ie/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/ie/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/ie/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_IE',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_IE/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-IE/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/ie/en/help-center/contact.page',
        ),
        'ie' => array(
            'name' => 'Ireland',
            'infomation_link' => 'https://www.ups.com/ie/ie/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/ie/ie/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/ie/ie/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/ie/ie/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=ie_IE',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/ie_IE/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/ie_IE/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/ie/ie/help-center/contact.page',
        ),
    ),
    'LV' => array(
        'en' => array(
            'name' => 'Latvia',
            'infomation_link' => 'https://www.ups.com/lv/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/lv/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/lv/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/lv/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_LV',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_LV/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-LV/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/lv/en/help-center/contact.page',
        ),
        'lv' => array(
            'name' => 'Latvia',
            'infomation_link' => 'https://www.ups.com/lv/lv/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/lv/gr/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/lv/lv/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/lv/lv/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=lv_LV',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/lv_LV/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/lv_LV/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/lv/lv/help-center/contact.page',
        ),
    ),
    'LT' => array(
        'en' => array(
            'name' => 'Lithuania',
            'infomation_link' => 'https://www.ups.com/lt/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/lt/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/lt/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/lt/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_LT',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_LT/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-LT/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/lt/en/help-center/contact.page',
        ),
        'fr' => array(
            'name' => 'Lithuania',
            'infomation_link' => 'https://www.ups.com/lt/lt/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/lt/lt/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/lt/lt/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/lt/lt/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=lt_LT',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/lt_LT/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/lt_LT/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/lt/lt/help-center/contact.page',
        ),
    ),
    'LU' => array(
        'en' => array(
            'name' => 'Luxembourg',
            'infomation_link' => 'https://www.ups.com/lu/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/lu/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/lu/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/lu/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_LU',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_LU/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-LU/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/lu/en/help-center/contact.page',
        ),
        'fr' => array(
            'name' => 'Luxembourg',
            'infomation_link' => 'https://www.ups.com/fr/fr/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/fr/fr/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/fr/fr/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/fr/fr/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=fr_LU',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/fr_LU/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/fr_LU/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/fr/fr/help-center/contact.page',
        ),
        'de' => array(
            'name' => 'Luxembourg',
            'infomation_link' => 'https://www.ups.com/de/de/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/de/de/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/de/de/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/de/de/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=de_LU',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/de_LU/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/de_LU/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/de/de/help-center/contact.page',
        ),
    ),
    'MT' => array(
        'en' => array(
            'name' => 'Malta',
            'infomation_link' => 'https://www.ups.com/mt/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/mt/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/mt/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/mt/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_MT',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_MT/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-MT/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/mt/en/help-center/contact.page',
        ),
        'mt' => array(
            'name' => 'Malta',
            'infomation_link' => 'https://www.ups.com/mt/mt/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/mt/mt/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/mt/mt/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/mt/mt/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=mt_MT',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/mt_MT/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/mt_MT/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/mt/mt/help-center/contact.page',
        ),
    ),
    'RO' => array(
        'en' => array(
            'name' => 'Romania',
            'infomation_link' => 'https://www.ups.com/ro/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/ro/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/ro/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/ro/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_RO',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_RO/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-RO/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/ro/en/help-center/contact.page',
        ),
        'ro' => array(
            'name' => 'Romania',
            'infomation_link' => 'https://www.ups.com/ro/ro/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/ro/ro/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/ro/ro/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/ro/ro/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=ro_RO',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/ro_RO/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/ro_RO/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/ro/ro/help-center/contact.page',
        ),
    ),
    'SK' => array(
        'en' => array(
            'name' => 'Slovakia',
            'infomation_link' => 'https://www.ups.com/sk/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/sk/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/sk/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/sk/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_SK',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_SK/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-SK/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/sk/en/help-center/contact.page',
        ),
        'sk' => array(
            'name' => 'Slovakia',
            'infomation_link' => 'https://www.ups.com/sk/sk/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/sk/sk/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/sk/sk/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/sk/sk/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=sk_SK',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/sk_SK/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/sk_SK/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/sk/sk/help-center/contact.page',
        ),
    ),
    'SI' => array(
        'en' => array(
            'name' => 'Slovenia',
            'infomation_link' => 'https://www.ups.com/si/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/si/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/si/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/si/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_SI',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_SI/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-SI/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/si/en/help-center/contact.page',
        ),
        'sl' => array(
            'name' => 'Slovenia',
            'infomation_link' => 'https://www.ups.com/sl/sl/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/sl/sl/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/sl/sl/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/sl/sl/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=sl_SI',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/sl_SI/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/sl_SI/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/sl/sl/help-center/contact.page',
        ),
    ),
    'PT' => array(
        'en' => array(
            'name' => 'Portugal',
            'infomation_link' => 'https://www.ups.com/pt/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/pt/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/pt/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/pt/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_PT',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_PT/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en_PT/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/pt/en/help-center/contact.page',
        ),
        'pt' => array(
            'name' => 'Portugal',
            'infomation_link' => 'https://www.ups.com/pt/pt/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/pt/pt/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/pt/pt/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/pt/pt/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=pt_PT',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/pt_PT/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/pt_PT/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/pt/pt/help-center/contact.page',
        ),
    ),
    'RS' => array(
        'en' => array(
            'name' => 'Serbia',
            'infomation_link' => 'https://www.ups.com/sr/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/sr/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/sr/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/sr/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_RS',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_RS/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en_RS/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/sr/en/help-center/contact.page',
        ),
        'sr' => array(
            'name' => 'Serbia',
            'infomation_link' => 'https://www.ups.com/sr/sr/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/sr/sr/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/sr/sr/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/sr/sr/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=sr_RS',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/sr_RS/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/sr_RS/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/sr/sr/help-center/contact.page',
        ),
    ),
    'CH' => array(
        'en' => array(
            'name' => 'Switzerland',
            'infomation_link' => 'https://www.ups.com/ch/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/ch/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/ch/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/ch/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_CH',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_CH/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en_CH/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/ch/en/help-center/contact.page',
        ),
        'fr' => array(
            'name' => 'Switzerland',
            'infomation_link' => 'https://www.ups.com/fr/fr/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/fr/fr/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/fr/fr/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/fr/fr/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=fr_CH',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/fr_CH/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/fr_CH/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/fr/fr/help-center/contact.page',
        ),
        'de' => array(
            'name' => 'Switzerland',
            'infomation_link' => 'https://www.ups.com/de/de/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/de/de/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/de/de/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/de/de/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=de_CH',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/de_CH/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/de_CH/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/de/de/help-center/contact.page',
        ),
        'it' => array(
            'name' => 'Switzerland',
            'infomation_link' => 'https://www.ups.com/it/it/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/it/it/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/it/it/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/it/it/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=it_CH',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/it_CH/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/it_CH/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/it/it/help-center/contact.page',
        ),
    ),
    'SI' => array(
        'en' => array(
            'name' => 'Slovenia',
            'infomation_link' => 'https://www.ups.com/si/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/si/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/si/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/si/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_SI',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_SI/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-SI/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/si/en/help-center/contact.page',
        ),
        'sl' => array(
            'name' => 'Slovenia',
            'infomation_link' => 'https://www.ups.com/sl/sl/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/sl/sl/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/sl/sl/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/sl/sl/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=sl_SI',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/sl_SI/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/sl_SI/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/sl/sl/help-center/contact.page',
        ),
    ),
    'NO' => array(
        'en' => array(
            'name' => 'Norway',
            'infomation_link' => 'https://www.ups.com/no/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/no/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/no/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/no/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_NO',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_NO/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-NO/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/no/en/help-center/contact.page',
        ),
        'se' => array(
            'name' => 'Norway',
            'infomation_link' => 'https://www.ups.com/se/se/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/se/se/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/se/se/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/se/se/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=se_NO',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/se_NO/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/se_NO/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/se/se/help-center/contact.page',
        ),
        'nb' => array(
            'name' => 'Norway',
            'infomation_link' => 'https://www.ups.com/nb/nb/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/nb/nb/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/nb/nb/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/nb/nb/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=nb_NO',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/nb_NO/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/nb_NO/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/nb/nb/help-center/contact.page',
        ),
    ),
    'IS' => array(
        'en' => array(
            'name' => 'Iceland',
            'infomation_link' => 'https://www.ups.com/is/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/is/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/is/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/is/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_IS',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_IS/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-IS/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/is/en/help-center/contact.page',
        ),
        'is' => array(
            'name' => 'Iceland',
            'infomation_link' => 'https://www.ups.com/is/is/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/is/is/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/is/is/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/is/is/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=is_IS',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/is_IS/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/is_IS/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/is/is/help-center/contact.page',
        ),
    ),
    'JE' => array(
        'en' => array(
            'name' => 'Jersey',
            'infomation_link' => 'https://www.ups.com/je/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/je/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/je/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/je/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_JE',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_JE/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-JE/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/je/en/help-center/contact.page',
        ),
        'je' => array(
            'name' => 'Thailand',
            'infomation_link' => 'https://www.ups.com/je/je/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/je/je/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/je/je/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/je/je/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=je_JE',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/je_JE/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/je_JE/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/je/je/help-center/contact.page',
        ),
    ),
    'TR' => array(
        'en' => array(
            'name' => 'Thailand',
            'infomation_link' => 'https://www.ups.com/tr/en/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/tr/en/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/tr/en/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/tr/en/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=en_TR',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/en_TR/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/en-TR/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/tr/en/help-center/contact.page',
        ),
        'tr' => array(
            'name' => 'Thailand',
            'infomation_link' => 'https://www.ups.com/tr/tr/services/technology-integration/ecommerce-plugins.page',
            'individual_shipper' => 'https://www.ups.com/tr/tr/services/individual-shipper/preparing-to-ship.page',
            'about_title_link' => 'https://www.ups.com/tr/tr/services/e-commerce/access-point-network.page',
            'help_link' => 'https://www.ups.com/tr/tr/help-center/packaging-and-supplies/special-care-shipments/global-dangerous-goods.page',
            'acsskey' => 'https://www.ups.com/dpui/upsdeveloperkit ',
            'pickup_schedule' => 'https://wwwapps.ups.com/pickup/schedule?loc=tr_TR',
            'terms_prestashop' => 'https://www.ups.com/assets/resources/media/tr_TR/data-service-terms-prestashop.pdf',
            'information_url' => 'https://support.ecommerce.help/hc/tr_TR/sections/4405598922769-Official-Extension-for-PrestaShop',
            'contact_page' => 'https://www.ups.com/tr/tr/help-center/contact.page',
        ),
    ),
);
?>