<?php

namespace Ups\Api;

use Sdk\mycurl;
use Sdk\Handle;

class CommonHandle extends Handle
{
    const COUNTRY_EU = [
        "Austria" => "AT",
        "Belgium" => "BE",
        "Bulgaria" => "BG",
        "Croatia" => "HR",
        "Cyprus" => "CY",
        "CzechRepublic" => "CZ",
        "Denmark" => "DK",
        "Estonia" => "EE",
        "Finland" => "FI",
        "France" => "FR",
        "Germany" => "DE",
        "Greece" => "GR",
        "Hungary" => "HU",
        "Ireland" => "IE",
        "Italy" => "IT",
        "Latvia" => "LV",
        "Lithuania" => "LT",
        "Luxembourg" => "LU",
        "Malta" => "MT",
        "Netherlands" => "NL",
        "Poland" => "PL",
        "Portugal" => "PT",
        "Romania" => "RO",
        "Slovakia" => "SK",
        "Slovenia" => "SI",
        "Spain" => "ES",
        "Sweden" => "SE",
        "UnitedKingdom" => "GB",
    ];

    const SHIPMENT_LEVEL = 'Shipment';
    const PACKAGE_LEVEL = 'Package';

    protected static $term;
    protected $upsDatatable = 'ups_data';

    public function __invoke($params = array())
    {
        parent::__invoke($params);

        $this->endpoint = UPS_URI . $this->path;

        if ($this->path == 'Locator') {
            $this->endpoint = UPS_URI_PRO . $this->path;
        }
        // echo "<pre>";
        // print_r($params);
        // die();
        $this->resolveParam($params);

        $mycurl = new mycurl($this->endpoint);
        $mycurl->setPost(json_encode($this->request));
        $mycurl->createCurl();

        if (DEVELOPMENT)
        {
            $curlError = $mycurl->getError();
            if (!empty($curlError))
            {
                // hua($curlError);
            }
        }
        $responseFormat = $this->responseHandler($mycurl->__tostring());
        //save if invoice is present
        $res = $this->response;
        $form = isset($res->ShipmentResponse->ShipmentResults->Form) ? $res->ShipmentResponse->ShipmentResults->Form : '';
        if(!empty($form->Code) == '01' && $form->Image->ImageFormat->Code == 'PDF'){
            $graphic_image = $form->Image->GraphicImage;
            $id_order = $params['firstOrder']['id_order'];
            $db = \Db::getInstance();
            $db->execute('CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'ups_shipment_invoice` (`id` INT NOT NULL AUTO_INCREMENT , `id_order` VARCHAR(225) NOT NULL , `image` MEDIUMTEXT NULL DEFAULT NULL , PRIMARY KEY (`id`)) ENGINE = InnoDB'); 
            $result = $db->getRow("SELECT `id`, `id_order`, `image` FROM `". _DB_PREFIX_ ."ups_shipment_invoice` WHERE id_order ='". $id_order."'");
            if(empty($result)){
                $db->execute("INSERT INTO `". _DB_PREFIX_ ."ups_shipment_invoice`( `id_order`, `image`) VALUES ('".$id_order."','".$graphic_image."')");
            }else{
                $db->execute("UPDATE `". _DB_PREFIX_ ."ups_shipment_invoice` SET `id_order`='".$id_order."',`image`='".$graphic_image."' WHERE id_order='".$id_order."'");
            }
           
        }

        $this->writeLogsApiDB();

        if (is_object($this->response) && property_exists($this->response, 'Fault')) {
            $this->saveLogAPI();
        }

        return $responseFormat;
    }

    protected function resolveParam($args)
    {
        $username = $this->sdk->getUsername();
        $password = $this->sdk->getPassword();
        $license = $this->sdk->getLicense();

        if (isset($username) && $username) {
            $args['UPSSecurity'] = [
                "UsernameToken" => [
                    "Username" =>
                        isset($username) ? $username : 'nousername',
                    "Password" =>
                        isset($password) ? $password : 'nopassword'
                ],
                "ServiceAccessToken" => [
                    "AccessLicenseNumber" =>
                        isset($license) ? $license : 'nokey'
                ]
            ];
        }

        $this->time_request = date("Y-m-d H:i:s");
        $this->request = $args;
    }
}
