<?php

namespace PluginManager\ToolApi;

/**
 * Created by UPS
 * Created at 19/06/2018
 */

use PluginManager\ToolApi\ToolHandle;

class License extends ToolHandle
{
    const PATH = 'UpsReadyProvider/License';
    private $flag = null;
    private $lang = 'EN';
    private $country = 'US';
    private $developerLicense = '4DA3EC9F1A667475';

    public function __invoke($args = array())
    {
        if ($this->e == null)
        {
            $this->e = new \Exception;
        }
        
        $this->path = SELF::PATH;

        return parent::__invoke($args);
    }

    protected function resolveParam($args)
    {
        ToolHandle::transliterator($args, null, '', array('LicenseText'));

        switch ($this->flag)
        {
            case 'AccessLicenseAgreementRequest';
                $data = $this->getAgreement($args);
                break;

            case 'AccessLicenseRequest':
                $data = $this->getLicenseKey($args);
                break;
            
            default:
                $data = $args;
                break;
        }

        parent::resolveParam($data);
    }    

    private function getAgreement($args)
    {
    //     $this->lang = isset($args['LanguageCode']) ?
    //         $args['LanguageCode'] : "EN";                    //old code for language
        $this->lang = "EN";
        $this->country = isset($args['CountryCode']) ?
            $args['CountryCode'] : "US";

        return [
            "AccessLicenseAgreementRequest" => [
                "Request" => [
                    "RequestOption" => "",
                    "TransactionReference" => [
                        "CustomerContext" => "CutomerContext",
                        "TransactionIdentifier" => ""
                    ]
                ],
                "AccessLicenseProfile" => [
                    "CountryCode" => $this->country,
                    "LanguageCode" => $this->lang
                ]
            ]
        ];
    }

    public function getLanguageCode()
    {
        return $this->lang;
    }

    public function getCountryCode()
    {
        return $this->country;
    }

    private function getLicenseKey($args)
    {
        $args['LanguageCode'] = 'EN';
		$licenseText = $args['CountryCode'] == 'ES' && $args['LanguageCode'] == 'ES' ? "CONTRATO DE TECNOLOGÍA DE UPS<br>Versión UTA 09072020 <br>ROGAMOS LEER DETENIDAMENTE LOS SIGUIENTES TÉRMINOS Y CONDICIONES DE ESTE CONTRATO DE TECNOLOGÍA DE UPS. AL INDICAR MÁS ADELANTE QUE ACEPTA QUEDAR OBLIGADO POR LOS TÉRMINOS Y CONDICIONES DEL PRESENTE CONTRATO, USTED HA CELEBRADO UN CONTRATO LEGALMENTE VINCULANTE CON UPS MARKET DRIVER, INC. (UPS\").<br>La autorización que le concede UPS para utilizar la Tecnología de UPS se prolonga siempre que Usted cumpla sus responsabilidades, que se recogen en: 1) estos Términos y Condiciones Generales <https:\/\/www.ups.com\/assets\/resources\/media\/en_US\/GTC.pdf> 2) los Derechos del Usuario Final, disponibles en <https:\/\/www.ups.com\/assets\/resources\/media\/en_US\/EUR.pdf> y 3) las Políticas de Información y Uso General disponibles en <https:\/\/www.ups.com\/assets\/resources\/media\/en_US\/IGUP.pdf> junto con la documentación mencionada en cualquiera de los tres elementos anteriores (el Contrato\"). <br><br>Usted confirma por el presente que ha leído y entiende plenamente TODAS LAS PARTES del presente Contrato: los Términos y Condiciones Generales, los Derechos del Usuario Final y las Políticas de Información y Uso General, incluida la documentación en ellas mencionada.<br><br>A los fines del Contrato:<br>\"Cliente\" hace referencia a la Persona que sea su empleador, pero no es un Prestador de Servicios, (1) a la que se le haya asignado la Cuenta UPS que Usted use para registrarse con la primera Tecnología de UPS a la que Usted acceda, si fuera necesaria una Cuenta UPS a tal efecto, (2) a la que se le haya asignado la primera Cuenta UPS que Usted use con la Tecnología de UPS a la que Usted acceda, en caso de que no sea necesario usar una Cuenta UPS para registrarse pero sí para usar la Tecnología de UPS, o (3) en el caso de que la primera Tecnología de UPS a la que Usted acceda no exija una Cuenta UPS con fines de registro o uso. <br>\"Prestador de servicios\" hace referencia a un tercero que un cliente de UPS contrate para ayudarlo en la gestión de sus actividades de envío junto con las partes UPS, e incluye a los prestadores de servicios de datos de facturación que han sido aprobados por UPS por escrito para desempeñar tales servicios para el Cliente de UPS; siempre y cuando, no obstante, las afiliadas de UPS hagan las funciones de prestador de servicios sin la autorización por escrito de UPS.<br>\"Empleado del Prestador de Servicios\" se refiere a un empleado del Prestador de Servicios.<br>\"Usted\" o el \"Su\" o \"Sus\" posesivos hacen referencia, según corresponda: (i) a Usted como persona física, si está celebrando este Contrato como persona física, sin ser en nombre de ningún tercero, para su uso personal de las Tecnologías de UPS; (ii) a Usted como persona física y Cliente, si va a acceder a la Tecnología de UPS como parte de sus responsabilidades como empleado del Cliente; o (iii) a Usted como persona física y su empleador, si su empleador es un Prestador de Servicios de un cliente de UPS y Usted va a acceder a la Tecnología de UPS como parte de sus responsabilidades como Empleado del Prestador de Servicios para realizar los servicios en beneficio de un cliente de UPS.<br>Usted declara y garantiza haber alcanzado la mayoría de edad y que, de corresponder, puede celebrar contratos relacionados con la tecnología de UPS legalmente vinculantes conforme a la legislación aplicable en representación del Cliente o prestador de servicios. Si en algún momento Usted dejara de estar autorizado para celebrar contratos legalmente vinculantes conforme a la legislación aplicable en representación del Cliente o prestador de servicios, según corresponda, ya no podrá seguir usando la tecnología de UPS en representación de dicho cliente o prestador de servicios.<br><br>Términos y Condiciones Generales<br>1.	Definiciones. Los términos con letra inicial mayúscula usados en el presente Contrato tienen el significado establecido en el Anexo A a los presentes Términos y Condiciones Generales y en el Anexo A a los Derechos del Usuario Final. En caso de contradicción entre los términos de los Derechos del Usuario Final y los presentes Términos y Condiciones Generales, prevalecerán dichos Términos y Condiciones Generales.<br>2.	Otorgamiento de la licencia.<br>2.1.	Alcance. UPS le otorga por el presente y Usted acepta, sujeto a los términos y condiciones del presente Contrato, una licencia limitada, revocable, no exclusiva, intransferible y que no puede ser objeto de sublicencia, para usar o acceder, según sea aplicable, a la Tecnología de UPS y la Documentación Técnica relacionada en el Territorio Autorizado para esa Tecnología de UPS. Los Derechos del Usuario Final comprenden otros derechos y restricciones generales, así como otros específicos para la Tecnología de UPS.<br>2.2.	Restricciones generales  materiales de UPS y software. Usted no podrá dar en sublicencia, divulgar o transferir los Materiales UPS a terceros sin el consentimiento escrito de UPS, y hará que Sus empleados y mandatarios tampoco lo hagan. Usted acuerda no modificar (como tampoco realizar correcciones al Software), reproducir, alquilar, dar en locación, prestar, gravar, distribuir, redistribuir, revender o de otro modo enajenar los Materiales UPS o cualquier parte de ellos sin el consentimiento de UPS, y renuncia por el presente a los derechos otorgados en ese sentido por la legislación aplicable. Usted acuerda no hacer copias del Software, salvo que sea necesario para usarlo de conformidad con el presente Contrato, pero podrá hacer una (1) copia de seguridad del Software exclusivamente con fines de archivo permanente. Esa copia de seguridad incluirá los avisos de derechos de autor y otros de propiedad exclusiva de UPS y estará sujeta a todos los términos y condiciones del presente Contrato. No obstante cualquier disposición en contrario del presente, Usted no podrá usar el Software para acceso compartido a servicios de informática contratados externamente (outsourced time share) o para la prestación de servicios de edición (service bureau).<br>3.	Garantías en cuanto a las leyes en materia de exportaciones. Usted reconoce que todos los Materiales UPS provistos por el presente están sujetos a las Reglamentaciones de Estados Unidos sobre Administración de Exportaciones (Export Administration Regulations o \"EAR\") que administra la Oficina de Industria y Seguridad del Departamento de Comercio de Estados Unidos, así como otras leyes y reglamentaciones de ese país. Usted acepta cumplir las EAR y todas las leyes aplicables de Estados Unidos cuando manipule y use cualquiera de los Materiales UPS que se proporcionan conforme al presente y acuerda no exportar o reexportar los Materiales UPS, salvo conforme a lo autorizado por las EAR, las leyes de Estados Unidos y otras leyes aplicables. Sin limitar la generalidad de lo que antecede, Usted acuerda, declara y garantiza que los Materiales UPS no pueden ser objeto de acceso, bajada, lanzamiento, transporte, transferencia, transbordo, exportación o reexportación (1) al, desde o en el Territorio Restringido (o un ciudadano del Territorio Restringido o residente en el mismo) ni (2) a, desde o en ninguna persona, entidad u organización que figure en el listado de Ciudadanos Especialmente Designados del Departamento del Tesoro de Estados Unidos (U.S. Treasury Departments list of Specially Designated Nationals) o en el listado, confeccionado por el Departamento de Comercio de Estados Unidos, de personas físicas o jurídicas a las que se les han denegado los privilegios de exportación (U.S. Department of Commerces Denied Persons List or Entity List). Los países y territorios que se consideran Territorio Restringido y las personas, entidades u organizaciones que figuran en los listados antes mencionados pueden cambiar. Usted acuerda mantenerse actualizado y cumplir esta disposición, a pesar de los referidos cambios. Solo a los efectos de facilitar la referencia, se puede obtener información sobre los países y territorios del Territorio Restringido y las personas, entidades u organizaciones que figuran en los listados antes mencionados en las siguientes direcciones: <https:\/\/www.treasury.gov\/ofac\/downloads\/sdnlist.txt>, <br><https:\/\/www.treasury.gov\/resource-center\/sanctions\/Programs\/Pages\/Programs.aspx<, y <https:\/\/www.bis.doc.gov\/complianceandenforcement\/liststocheck.htm><br>4.	Materiales UPS.<br>4.1.	Titularidad de derechos de propiedad intelectual. Usted reconoce y acepta por el presente que UPS posee todos los derechos reales y personales sobre los Materiales UPS o tiene derecho a otorgarle una licencia a Usted sobre los Materiales UPS. Usted reconoce que no ha adquirido ningún derecho de propiedad en los Materiales UPS y que tampoco lo hará con motivo del presente Contrato. Usted no hará en ningún momento ni permitirá conscientemente que terceros realicen algún acto o cosa que pueda, de algún modo, perjudicar los derechos de UPS o de sus licenciatarios sobre los Materiales UPS. UPS y sus licenciatarios se reservan todos los derechos relacionados con los Materiales UPS que no se otorgan específicamente por el presente.<br>4.2.	Cambios a los Materiales UPS y a la Tecnología de UPS. UPS podrá actualizar, cambiar, modificar o complementar todos o cualquiera de los Materiales UPS y\/o la Tecnología de UPS en cualquier momento.5.	Servicios de Soporte.<br>5.1.	Soporte y mantenimiento. UPS podrá, cada tanto y a su exclusivo criterio, en respuesta a Su solicitud, optar por brindar soporte o mantenimiento al Software (los \"Servicios de Soporte\"). A los efectos de los Servicios de Soporte, Usted autoriza por el presente a UPS y a sus agentes autorizados (los \"Prestadores de Servicios de Soporte\") a acceder al Software, a otras aplicaciones que Usted esté utilizando junto con el Software y a Sus sistemas de computación (1) en forma remota, a través de la Internet o por otros medios (que podrán requerir la instalación de otro software en Sus sistemas de computación por parte de UPS o los Prestadores de Servicios de Soporte) (el \"Software de Soporte\"), o (2) mediante visitas al lugar en horarios específicos que las partes convendrán de común acuerdo. Usted autorizará separadamente cada sesión de soporte que use el Software de Soporte. Durante dichas sesiones, UPS podrá ver el Software operando en Su sistema de computación y UPS podrá ayudarle a hacer modificaciones en Sus sistemas de computación. Además, Usted le otorga a UPS y a los Prestadores de Servicios de Soporte el derecho a manipular y modificar el Software y Sus sistemas de computación, aplicaciones, archivos y datos relacionados, conforme sea razonablemente necesario para prestarle Servicios de Soporte. No obstante ello, Usted acuerda que UPS prestará los Servicios de Soporte a su exclusivo criterio y nada de lo dispuesto en el Contrato será interpretado en el sentido de que obliga a UPS a prestar Servicios de Soporte.<br>5.2.	Acceso a información de propiedad exclusiva. Usted reconoce y acepta que podrá divulgar, o que UPS o los Prestadores de Servicios de Soporte podrán observar, la información y los datos que le pertenecen a Usted, durante la prestación de Servicios de Soporte por parte de UPS o de los Prestadores de Servicios de Soporte, y que esa información y los datos serán considerados no confidenciales, y por ende no estarán sujetos a lo dispuesto en el Artículo 7 de los Términos y Condiciones Generales, a menos que UPS haya convenido otra cosa en un acuerdo de confidencialidad firmado en forma separada del presente Contrato. Además, Usted reconoce que las sesiones de comunicación remota que utilizan UPS o los Prestadores de Servicios de Soporte pueden llevarse a cabo mediante la Internet, que es un medio intrínsecamente inseguro, y Usted acepta que UPS o los Prestadores de Servicios de Soporte no serán responsables por las violaciones a la seguridad que tengan lugar en ese medio. Usted debe tener en cuenta lo anterior al solicitar Servicios de Soporte a UPS o a los Prestadores de Servicios de Soporte.<br>6.	Suspensión de derechos. Vigencia y resolución.<br>6.1.	Suspensión de derechos. UPS podrá suspender los derechos que Usted tiene de acceder a cualquier parte de los Sistemas UPS mediante Tecnología de UPS o conforme sea necesario a criterio exclusivo de UPS para, entre otras cosas, (1) impedir el acceso a cualquier parte de los Sistemas UPS o la Tecnología de UPS que no cumpla con los términos y condiciones del presente Contrato; (2) corregir un error serio en los Sistemas UPS o la Tecnología de UPS, o (3) cumplir alguna ley, reglamentación o norma, o una resolución judicial o de otro órgano competente.<br>6.2.	Período de vigencia. El presente Contrato entrará en vigor cuando Usted lo acepte haciendo clic en el botón de \"ACEPTO\" que figura más adelante y continuará vigente hasta que sea resuelto según se indica en el presente (la \"Vigencia\").<br>6.3.	Alojamiento de Tecnología de UPS. Hay Tecnología de UPS que está alojada por UPS, las Filiales de UPS o los proveedores de UPS. Esa Tecnología de UPS está alojada en servidores en los Estados Unidos de América y ha sido programada para estar disponible las veinticuatro (24) horas del día, los siete (7) días de la semana (salvo cuando no pueda accederse a ella por mantenimiento); sin embargo, UPS no garantiza la disponibilidad de la Tecnología de UPS alojada o que el acceso será ininterrumpido y sin errores. UPS se reserva el derecho de interrumpir, limitar o suspender cada tanto la Tecnología de UPS alojada, con fines de mantenimiento, actualización o similares. Usted acuerda que ni UPS ni las Filiales de UPS serán considerados responsables por los daños que surjan de la interrupción, suspensión o cese de la Tecnología de UPS alojada, independientemente de la causa.<br>6.4.	Rescisión.<br>a.	Cualquiera de las partes podrá resolver el presente Contrato y UPS podrá revocar todas o cualquiera de las licencias otorgadas conforme al presente sobre la Tecnología de UPS en cualquier momento y a su conveniencia, mediante notificación escrita a la otra parte.<br>b.	No obstante lo anterior, el presente Contrato se rescindirá en los siguientes casos sin necesidad de otra medida por parte de UPS: (1) incumplimiento de lo dispuesto en los Artículos 3, 7 o 10, o las Cláusulas 2.2 y 4.1 (tercera oración) de los Términos y Condiciones Generales; (2) quiebra, presentación en quiebra, reorganización societaria, rehabilitación civil, concordato, liquidación especial u otro procedimiento concursal que le afecte a Usted, o en caso de que se designe un síndico, administrador, interventor administrativo o liquidador para Usted o se dicte una resolución para su liquidación, o un tribunal dicte una orden a tal efecto; (3) disolución de una sociedad de la que Usted sea socio o disolución del Cliente o Prestador de Servicios, en caso de que sea una sociedad; o (4) cuando elimine Su perfil de UPS.<br>6.5.	Efectos de la finalización del Contrato.<br>a.	En caso de finalización del presente Contrato por cualquier motivo, se extinguirán inmediatamente todas las licencias otorgadas por el presente y Usted deberá inmediatamente dejar de usar y de acceder a los Materiales UPS, y destruir todos los Materiales UPS que obren en poder de Usted o estén bajo Su control.<br>b.	En caso de finalización de una licencia sobre una Tecnología de UPS, Usted deberá inmediatamente dejar de usar y de acceder a esa Tecnología de UPS y a los Materiales UPS relacionados, y destruir todos los Materiales UPS relacionados que obren en poder de Usted o estén bajo Su control.<br>6.6.	Subsistencia de las disposiciones en caso de finalización del Contrato. Los Artículos 1, 7-9 y 12; y las Cláusulas 4.1, 6.5 y 6.6 de los Términos y Condiciones Generales, así como los artículos y cláusulas de los Derechos del Usuario Final mencionados en la Cláusula 10.3; y los Artículos y las Cláusulas de las Políticas de Información y Uso General indicadas en el Artículo 4 de ese documento subsistirán en caso de finalización del presente Contrato por cualquier motivo.<br>7.	Información Confidencial, Secretos Industriales e Información.<br>7.1.	Revelación. Durante la Vigencia y después de su finalización, Usted no podrá usar (salvo lo permitido en relación con el cumplimiento del presente por parte de Usted), divulgar o permitir que alguna Persona acceda a Secretos Industriales (incluso, a título de ejemplo y sin carácter taxativo, aquellos incluidos en los Materiales UPS). Durante la Vigencia y por un período de cinco (5) años a partir de su finalización, y salvo otra disposición legal, Usted no podrá usar, divulgar ni permitir que Persona alguna acceda a Información Confidencial, salvo lo autorizado en relación con el cumplimiento del presente por parte de Usted. Usted reconoce que si viola lo dispuesto en el Artículo 7 de los Términos y Condiciones Generales, el sistema del common law puede carecer del recurso adecuado para UPS, quien podrá sufrir un daño irreparable y tendrá derecho a intentar obtener una reparación judicial derivada del sistema de equity. Usted acuerda proteger esa Información Confidencial y Secretos Industriales con el mismo grado de cuidado con que cuida Su propia información confidencial o de propiedad exclusiva. En caso de que se requiera la divulgación de Información Confidencial conforme a las disposiciones de alguna ley u orden judicial, Usted lo notificará a UPS con suficiente antelación para que UPS tenga la oportunidad razonable de oponerse a ello.<br>7.2.	STR. Usted no podrá combinar la Información ni obtener o desarrollar información, productos o servicios que usen la Información, salvo según lo que se le autoriza expresamente conforme al presente Contrato.<br>7.3.	Exportación de datos. Usted no podrá exportar, ya sea mediante (i) la función de exportación de datos integrada en el Software; (ii) extracción desde la interfaz del Software (p. ej., captura de imágenes); o (iii) de cualquier otra forma, cualquier dato de las bases de datos UPS y utilizar dichos datos para comparar tarifas de envío o plazos de entrega con las tarifas de envío o plazos de entrega de cualquier tercero que no sea miembro de las Partes UPS.8.	Garantías.<br>8.1.	Por cliente. Usted declara y garantiza que 1) ni el Cliente ni Usted tienen sede en, están constituidos en, son de nacionalidad o residentes de, ni son el gobierno del Territorio restringido; 2) ni Usted ni el Cliente son una Persona que figure en la Lista de ciudadanos especialmente designados del Departamento del Tesoro de EE. UU. ni una Persona cuyo cincuenta por ciento o más pertenezca a, o esté bajo control de una Persona que figure en la Lista de ciudadanos especialmente designados del Departamento del Tesoro de EE.UU. (según se modifique periódicamente y que puede consultarse, a título informativo únicamente, en https:\/\/www.treasury.gov\/ofac\/downloads\/sdnlist.txt y https:\/\/www.treasury.gov\/resource-center\/sanctions\/Programs\/Pages\/Programs.aspx) (cada una, una \"Persona sancionada\"); 3) ni Usted ni el Cliente utilizarán Tecnología de UPS en el Territorio restringido; y 4) ni Usted ni el Cliente utilizarán Tecnología de UPS en relación con actividades comerciales o transacciones que impliquen al Territorio restringido o a una Persona sancionada.<br>8.2.	Exclusión de garantías.<br>a.	LAS PARTES UPS LE GARANTIZAN QUE, POR UN PERÍODO DE NOVENTA (90) DÍAS DESDE LA ENTREGA DE SOFTWARE A USTED, EL SOFTWARE FUNCIONARÁ ESENCIALMENTE SEGÚN LO DESCRITO EN LA DOCUMENTACIÓN TÉCNICA CORRESPONDIENTE. LA ÚNICA RESPONSABILIDAD DE UPS POR VIOLACIÓN DE ESA GARANTÍA SERÁ REEMPLAZAR EL SOFTWARE. SALVO LO MANIFESTADO EN LA GARANTÍA DE LAS DOS ORACIONES PRECEDENTES, LOS MATERIALES UPS SE ENTREGAN \"EN EL ESTADO EN QUE SE ENCUENTRAN Y CON TODAS SUS FALLAS\". UPS NO ASUME NI REALIZA U OTORGA DECLARACIÓN, GARANTÍA, CONDICIÓN, COMPROMISO O DISPOSICIÓN ALGUNA, EXPRESA O IMPLÍCITA, LEGAL U OTRA, CON RESPECTO AL ESTADO, CALIDAD, DURABILIDAD, EXACTITUD, INTEGRIDAD, DESEMPEÑO, NO VIOLACIÓN DE DERECHOS DE TERCEROS, COMERCIABILIDAD, USO Y GOCE PACÍFICOS O ADECUACIÓN A UN FIN DETERMINADO O USO DE LOS MATERIALES UPS. SE EXCLUYEN POR EL PRESENTE TODAS ESAS GARANTÍAS, DECLARACIONES, CONDICIONES, COMPROMISOS Y TÉRMINOS, EN LA MÁXIMA MEDIDA PERMITIDA POR LA LEY, ASÍ COMO LAS GARANTÍAS QUE SURJAN DEL CURSO DE LAS NEGOCIACIONES O DEL USO. UPS NO GARANTIZA QUE SE CORREGIRÁN LOS DEFECTOS EN LOS MATERIALES UPS. EL ASESORAMIENTO O LA INFORMACIÓN DADOS POR UPS O CUALQUIERA DE SUS REPRESENTANTES EN FORMA VERBAL O ESCRITA NO SERÁN CONSIDERADOS COMO EL OTORGAMIENTO DE UNA GARANTÍA.<br>b.	Usted asimismo reconoce y acepta que el acceso a Sus sistemas de computación, archivos y datos relacionados, por parte de UPS o de los Prestadores de Servicios de Soporte, conforme al Artículo 5 de los Términos y Condiciones Generales del presente, es solamente para facilitar los Servicios de Soporte en Su nombre, y que Usted continúa siendo el único responsable de hacer una copia de seguridad de Sus sistemas de computación, aplicaciones, archivos y datos. UPS O EL PRESTADOR DE SERVICIOS DE SOPORTE PRESTAN LOS SERVICIOS DE SOPORTE O EL SOFTWARE DE SOPORTE CONFORME AL PRESENTE CONTRATO \"EN EL ESTADO EN QUE SE ENCUENTRAN Y CON TODAS SUS FALLAS\" Y UPS NO OTORGA NINGUNA GARANTÍA, EXPRESA O IMPLÍCITA, CON RESPECTO A NINGUNO DE LOS SERVICIOS DE SOPORTE O SOFTWARE DE SOPORTE. SIN LIMITAR EL CARÁCTER GENERAL DE LO ANTERIOR, UPS EXCLUYE EXPRESAMENTE TODAS LAS GARANTÍAS, INCLUIDAS LAS GARANTÍAS DE COMERCIABILIDAD, NO VIOLACIÓN DE DERECHOS DE TERCEROS O ADECUACIÓN A UN FIN DETERMINADO, EN RELACIÓN CON LOS SERVICIOS DE SOPORTE O SOFTWARE DE SOPORTE PROVISTOS CONFORME AL CONTRATO, ASÍ COMO TODO EL ASESORAMIENTO, LOS DIAGNÓSTICOS Y RESULTADOS RELACIONADOS. USTED RECONOCE Y ACEPTA QUE UPS NO SERÁ RESPONSABLE POR NINGÚN ERROR, OMISIÓN, INCUMPLIMIENTO, DEFICIENCIA O NO ADECUACIÓN DE LOS SERVICIOS DE SOPORTE.<br>c.	LAS PARTES UPS NO GARANTIZAN EL ACCESO CONTINUO, ININTERRUMPIDO O SEGURO A LOS SISTEMAS UPS. EL ACCESO A ESOS SISTEMAS UPS PUEDE VERSE AFECTADO POR VARIOS FACTORES AJENOS AL CONTROL DE UPS. LAS PARTES UPS NO SON RESPONSABLES POR LOS DAÑOS DE NINGÚN TIPO CAUSADOS POR ESE MOTIVO.<br>d.	ALGUNAS JURISDICCIONES NO ACEPTAN LA IMPOSICIÓN DE LIMITACIONES A LAS GARANTÍAS IMPLÍCITAS, POR LO QUE ES POSIBLE QUE LAS LIMITACIONES Y EXCLUSIONES DE QUE TRATA ESTA CLÁUSULA NO SEAN DE APLICACIÓN A USTED. EL CONTRATO LE OTORGA DERECHOS LEGALES ESPECÍFICOS. ES POSIBLE QUE USTED TAMBIÉN TENGA OTROS DERECHOS QUE VARÍAN DE JURISDICCIÓN EN JURISDICCIÓN. USTED RECONOCE Y ACEPTA QUE LAS LIMITACIONES DE RESPONSABILIDAD Y EXCLUSIONES DE GARANTÍA ESTABLECIDAS EN EL PRESENTE CONTRATO SON JUSTAS Y RAZONABLES.<br>9.	Limitación de responsabilidad.<br>a.	ALGUNAS JURISDICCIONES NO PERMITEN LIMITACIONES EN RELACIÓN CON CIERTOS DAÑOS, TALES COMO LIMITACIONES EN RELACIÓN CON (I) DAÑOS ACCIDENTALES O CONSECUENTES, (II) DAÑOS QUE RESULTEN DE NEGLIGENCIA GRAVE O CONDUCTA DOLOSA INTENCIONADA Y (III) DAÑOS QUE RESULTEN DE LESIONES PERSONALES O MUERTE. POR CONSIGUIENTE, LAS LIMITACIONES Y EXCLUSIONES DE ESTA CLÁUSULA PODRÍAN NO SER APLICABLES A USTED Y SOLO SERÁN DE APLICACIÓN EN LA MÁXIMA MEDIDA PERMITIDA POR LA LEGISLACIÓN APLICABLE. ESTE CONTRATO LE OTORGA DERECHOS LEGALES ESPECÍFICOS. ES POSIBLE QUE USTED TAMBIÉN TENGA OTROS DERECHOS QUE VARÍAN DE JURISDICCIÓN EN JURISDICCIÓN. SI EL USUARIO ES UNA PERSONA FÍSICA QUE ACTÚA O TRABAJA EN CALIDAD DE CONSUMIDOR, PODRÁ TENER DETERMINADOS DERECHOS LEGALES IRRENUNCIABLES Y, EN ESE CASO, ESTAS DISPOSICIONES NO LE AFECTARÁN.<br>b.	LAS PARTES UPS NO SERÁN RESPONSABLES FRENTE A USTED O TERCEROS, EN LA MEDIDA PERMITIDA POR LA LEGISLACIÓN APLICABLE, POR LOS DAÑOS INDIRECTOS, EMERGENTES, PUNITIVOS, MÚLTIPLES, INCIDENTALES O ESPECIALES, LUCRO CESANTE, PÉRDIDA DE DATOS O DE USO DE DATOS, PÉRDIDA DE AHORROS, O POR LOS COSTOS DE GESTIÓN DE COMPRA DE MERCANCÍA DE REEMPLAZO, QUE SURJAN DEL PRESENTE CONTRATO, POR VIOLACIÓN DEL CONTRATO, POR ACTOS ILÍCITOS (ENTRE LOS QUE SE INCLUYE LA NEGLIGENCIA), DELITOS, USO DE MATERIALES UPS U OTROS, AUN CUANDO LAS PARTES UPS HAYAN SIDO INFORMADAS DE LA POSIBILIDAD DE QUE TENGAN LUGAR ESOS DAÑOS. SALVO POR LAS LIMITACIONES DE RESPONSABILIDAD ESTABLECIDAS EN LA CLÁUSULA 1.1 DE LOS DERECHOS DEL USUARIO FINAL Y EN LA CLÁUSULA 8.2 DE LOS TÉRMINOS Y CONDICIONES GENERALES, LA RESPONSABILIDAD DE TODAS LAS PARTES UPS POR DAÑOS (DIRECTOS U OTROS), SANCIONES O PÉRDIDAS, INDEPENDIENTEMENTE DE LA FORMA DE LA ACCIÓN O DEL RECLAMO, YA SEA QUE SE TRATE DE CUESTIONES CONTRACTUALES, ACTOS ILÍCITOS (ENTRE LOS QUE SE INCLUYE LA NEGLIGENCIA), DELITOS U OTRAS, NO SUPERARÁ EN NINGÚN CASO LA SUMA TOTAL DE MIL DÓLARES ESTADOUNIDENSES (1.000 USD), Y USTED RENUNCIA POR EL PRESENTE A PRESENTAR DEMANDAS POR DAÑOS Y PERJUICIOS QUE SUPEREN ESE LÍMITE.<br>c.	PARA EVITAR TODA DUDA Y DE ACUERDO CON LO DISPUESTO EN EL SEGUNDO PÁRRAFO DE LOS PRESENTES TÉRMINOS Y CONDICIONES GENERALES, LA EXHIBICIÓN DEL PRESENTE CONTRATO (VERSIÓN UTA 09072020 [UPS.COM]) A USTED MÁS DE UNA VEZ NO HARÁ QUE LA RESPONSABILIDAD GLOBAL TOTAL DE LAS PARTES UPS SUPERE LA SUMA DE MIL DÓLARES ESTADOUNIDENSES (1000 USD).<br>d.	NO SE PODRÁN EFECTUAR RECLAMOS PASADOS SEIS (6) MESES DE LA FECHA DEL PRIMER HECHO QUE DIO LUGAR AL RECLAMO.<br>10.	Uso del nombre y publicidad. Salvo disposición expresa del presente Contrato, Usted acepta que no podrá usar en publicidad, publicitar o dar otro uso a la denominación de las Partes UPS (entre las que se incluye United Parcel Service of America, Inc.) o de algún socio o empleado de las Partes UPS, ni ningún nombre comercial, marca de comercio registrada, imagen comercial o simulación de ellas, de propiedad de las Partes UPS, si no cuenta con el previo consentimiento escrito de UPS otorgado para cada caso en particular.<br>11.	Notificaciones. Salvo lo específicamente dispuesto en el presente Contrato, todas las notificaciones, demandas u otras comunicaciones que deban o puedan cursarse conforme al presente deberán ser enviadas por escrito, según se indica a continuación:<br>En el caso de Usted: mediante entrega personal o por UPS Next Day Air® (en cuyo caso la notificación se considerará válida al día hábil siguiente a su despacho), mediante transmisión por fax en tanto la parte que envía la notificación reciba confirmación de transmisión (en cuyo caso la notificación se considerará válida en la fecha en que se reciba la confirmación), o por carta certificada, con aviso de retorno y franqueo prepagado (en cuyo caso la notificación se considerará válida al décimo día hábil de haber sido depositada en el correo), dirigida a UPS, 35 Glenlake Parkway, Atlanta, estado de Georgia 30328, a la atención de: UPS Legal Department, fax: (404) 828-6912; y<br>En el caso de UPS: por cualquiera de los métodos que se le ofrecen a Usted y por correo electrónico (en cuyo caso la notificación se considerará válida en la fecha de transmisión), a la dirección, dirección de correo electrónico o número de fax, correspondiente, (1) que Usted proporcionó a UPS al registrarse para la Tecnología de UPS, (2) de la Cuenta UPS que Usted use con la Tecnología de UPS o (3) si no corresponden el (1) y el (2) anteriores, entonces a la dirección, dirección de correo electrónico o número de fax, según corresponda, que Usted haya facilitado a UPS.<br>Cualquiera de las partes podrá cambiar su dirección, dirección de correo electrónico o número de fax para notificaciones mediante notificación escrita enviada a la otra parte con treinta (30) días de anticipación.12.	Disposiciones varias.<br>12.1.	Partes independientes. Las partes son independientes y nada de lo dispuesto en el presente será interpretado en el sentido de que crea una relación laboral o de mandante\/mandatario, sociedad y\/o emprendimiento conjunto (joint venture) entre las partes. Ninguna de las partes tiene derecho o facultad alguna para asumir o crear responsabilidad u obligaciones, expresas o implícitas, en representación o en nombre de la otra, o para obligarla de forma alguna.<br>12.2.	Renuncia. No será válida la renuncia a ninguna de las disposiciones del presente Contrato ni a ninguno de los derechos u obligaciones de cualquiera de las partes conforme al presente a menos que sea otorgada mediante un instrumento escrito firmado por la parte que renuncia al cumplimiento. La renuncia será válida únicamente para el caso específico y con el fin específico indicado en ese instrumento escrito.<br>12.3.	Divisibilidad de las disposiciones. Por ley, Usted quizá disfrute de ciertos derechos que no pueden limitarse contractualmente como es el caso del presente Contrato. El presente Contrato no tiene ninguna intención en absoluto de limitar tales derechos. Si algún fragmento del presente Contrato fuese declarado inválido o inexigible, el resto permanecerá en plena vigencia y efecto en la máxima medida permitida por la legislación aplicable.<br>12.4.	Asignación. Usted no podrá ceder el presente Contrato ni ninguno de los derechos, licencias u obligaciones conforme a él a ninguna otra Persona o entidad sin el previo consentimiento escrito de UPS. UPS podrá ceder, delegar o transferir la totalidad o parte del presente Contrato o cualquiera de los derechos conforme a él a cualquier integrante de las Partes UPS sin necesidad de que Usted otorgue ninguna aprobación o consentimiento en ese sentido. A tal efecto, por \"Cesión\" se entenderá, a título de ejemplo y sin carácter taxativo, la fusión o venta de todos o casi todos los activos de la parte cedente o la transferencia del presente Contrato o cualquier parte de él por ministerio de la ley u otro motivo, o la venta u otra forma de transferencia del treinta por ciento (30%) o más de las acciones con derecho de voto o de la participación o control de la parte cedente. En caso de realizarse una Cesión autorizada por el presente, el Contrato será obligatorio para cada una de las partes y sus respectivos sucesores legales y cesionarios autorizados, y redundará en beneficio de todos ellos.<br>12.5.	Tasas. Los cargos pagaderos conforme al presente Contrato no incluyen los impuestos y derechos (incluidos, a título de ejemplo y sin carácter taxativo, la retención de impuestos, el impuesto al valor agregado o cualquier otro impuesto o derecho que corresponda) aplicados por cualquier autoridad impositiva debidamente constituida sobre los cargos a pagar a UPS conforme al presente. Usted será exclusivamente responsable del cálculo y pago de esos impuestos a la autoridad impositiva que corresponda y no podrá descontarlos del monto de los cargos a pagar.<br>12.6.	Legislación aplicable, jurisdicción e idioma. El presente Contrato y cualquier disputa, reclamación o controversia que resulte de o relacionada con el presente Contrato (ya sea por incumplimiento de contrato, por ilícito civil o por alguna otra causa) se regirá e interpretará por las leyes del estado de Nueva York, Estados Unidos, con excepción de los siguientes: 1) los principios del derecho internacional privado; 2) la Convención de las Naciones Unidas sobre los Contratos de Compraventa Internacional de Mercaderías; 3) la Convención sobre la Prescripción en Materia de Compraventa Internacional de Mercaderías de 1974; y 4) el Protocolo modificatorio de la Convención de 1974 formalizado en la ciudad de Viena, el 11 de abril de 1980. Las partes declaran que han exigido que el presente Contrato y todos los documentos relacionados, presentes o futuros, sean redactados en inglés solamente. Les parties déclarent quelles exigent que cette entente et tous les documents y afférents, soit pour le présent ou lavenir, soient rédigés en langue anglaise seulement. Salvo en casos en que lo exija la legislación local, de acuerdo con la celebración válida de un contrato vinculante, el inglés será el idioma que regirá lo dispuesto en el presente Contrato y toda traducción que Usted haya recibido tendrá únicamente efectos prácticos. Toda la correspondencia y las comunicaciones entre Usted y UPS conforme al presente Contrato deberán estar redactadas en inglés. En caso de que haya accedido al presente Contrato mediante la versión traducida disponible en Internet del presente Contrato en una lengua distinta al inglés de EE. UU., puede visualizar la versión en inglés de EE. UU. de este Contrato accediendo a https:\/\/www.ups.com\/us\/en\/help-center\/legal-terms-conditions\/technology-agreement.page. LOS TRIBUNALES FEDERALES O ESTATALES DE ATLANTA, GEORGIA, TENDRÁN JURISDICCIÓN EXCLUSIVA CON RESPECTO A TODA DISPUTA, RECLAMACIÓN O CONTROVERSIA QUE RESULTE DE O RELACIONADA CON EL PRESENTE CONTRATO (YA SEA POR INCUMPLIMIENTO DEL CONTRATO, POR ILÍCITO CIVIL O POR CUALQUIER OTRA CAUSA). LAS PARTES PRESTAN SU CONSENTIMIENTO POR EL PRESENTE A ESA JURISDICCIÓN EXCLUSIVA Y RENUNCIAN EN FORMA IRREVOCABLE A PRESENTAR, Y NO PRESENTARÁN, EXCEPCIONES DE FALTA DE JURISDICCIÓN CON RESPECTO A LA PERSONA, DE INCOMPETENCIA DE ESOS TRIBUNALES O DE JURISDICCIÓN INADECUADA. No obstante lo anterior, en caso de que sea necesario tramitar procedimientos separados o incidentales ante otro tribunal de Estados Unidos o extranjero para ejecutar la sentencia dictada por el tribunal de Atlanta, estado de Georgia, o para obtener la reparación y resolución completas de todos los hechos en disputa, las Partes podrán iniciar tales procedimientos separados o incidentales ante un tribunal de Estados Unidos o extranjero y prestan su consentimiento a la jurisdicción no exclusiva de ese tribunal, renunciando a presentar ante ellos excepciones de falta de jurisdicción con respecto a la persona, de incompetencia de esos tribunales o de jurisdicción inadecuada. No obstante cualquier disposición en contrario en el presente, UPS tendrá derecho a solicitar medidas cautelares o precautorias ante un tribunal competente. Usted acepta el carácter probatorio de los registros informáticos y pruebas en soporte electrónico en las controversias que puedan suscitarse en virtud del presente Contrato. A fin de evitar dudas, las disposiciones sobre resolución de controversias recogidas en cualquier contrato que Usted haya celebrado con cualquier miembro de las Partes UPS en relación con servicios de UPS, incluidos a modo de ejemplo los Términos y Condiciones de Transporte\/Servicio de UPS aplicables, regirán en aquellos casos en que tales disposiciones sean aplicables a cualquier reclamación o controversia. VÉASE LA CLÁUSULA 12.15 Y EL ANEXO B PARA LAS DISPOSICIONES ESPECÍFICAS DE CADA PAÍS DE ESTE CONTRATO SI USTED ES RESIDENTE DE, O SU DOMICILIO SOCIAL SE ENCUENTRA EN, UNO DE LOS SIGUIENTES PAÍSES O TERRITORIOS: PAÍSES DE ORIENTE MEDIO, BANGLADESH, INDONESIA, ISRAEL, ESTADOS UNIDOS DE AMÉRICA O PUERTO RICO.12.7.	Fuerza mayor. Ninguna de las partes del presente será responsable por incumplimiento de sus obligaciones conforme al presente Contrato ni por daños y perjuicios ni ninguna otra responsabilidad cuando ello se deba a alguna causa ajena a su control razonable, que incluye sin limitación el caso fortuito, huelgas o disputas laborales, conflictos laborales, orden de emergencia del gobierno, plaga, epidemia, pandemia, brotes de enfermedad infecciosa u otras crisis de salud pública, incluidas, a modo de ejemplo, cuarentenas y demás limitaciones laborales, con independencia de si las autoridades correspondientes declaran o no oficialmente dicho evento como epidemia, pandemia o similar, acción judicial o gubernamental, reglamentación de emergencia, sabotaje, disturbios, vandalismo, fallo electrónico, fallos importantes de hardware o software informático, retrasos en la entrega de equipo, actos de terceros o actos terroristas.<br>12.8.	Remedios. Los recursos mencionados en el presente son no excluyentes.<br>12.9.	Cumplimiento de la legislación. En relación con su cumplimiento conforme al presente, cada una de las partes deberá cumplir estrictamente con todas las leyes, reglamentaciones y disposiciones aplicables, y no podrá tomar ninguna medida como consecuencia de lo cual la otra parte viole las leyes, reglamentaciones y disposiciones que le son de aplicación, incluso, en los casos en que sea necesario, cuando Usted, en calidad de licenciatario, presente este Contrato a alguna entidad gubernamental. Usted reconoce específicamente que los Materiales UPS provistos conforme al presente pueden contener una función de encriptado. Usted reconoce y acuerda que, al bajar, importar o usar los Materiales UPS en cualquier país o territorio fuera de Estados Unidos, es Usted (y no UPS) quien asume plena responsabilidad por el cumplimiento de todas las leyes y reglamentaciones de ese país o territorio, incluidas, a título de ejemplo y sin carácter taxativo, todas las leyes y reglamentaciones que rigen la importación, el uso, la distribución, el desarrollo o la transferencia de tecnología o software de encriptado, así como todos los requisitos de registro u obtención de licencias con respecto a ellos.<br>12.10.	Prácticas relativas a los datos. Para poder realizar los servicios de recogida y entrega, y en conexión con Su uso de la Tecnología de UPS, la empresa de entrega de paquetes UPS de la zona donde Usted se encuentra, cuyo nombre y dirección figuran en la cláusula \"Comuníquese con UPS\" en el Sitio Web de UPS correspondiente a Su zona (la \"Empresa de Entregas UPS\"), recaba, procesa y usa información personal. UPS Market Driver, Inc., 35 Glenlake Parkway, N.E., Atlanta, estado de Georgia, EE. UU. 30328, y las otras Partes UPS reciben información personal y utilizarla conforme a lo descrito en el presente documento. <br>Las Partes UPS tratan la información personal de conformidad con las leyes de protección de datos correspondientes. Sin que ello limite la posibilidad para UPS de recoger, usar, tratar o divulgar información personal según lo permita la legislación aplicable, Usted acepta que UPS y Partes de UPS en todo el mundo i) recojan, utilicen, traten o divulguen información personal que Usted haya facilitado para fines (los \"Fines\") que incluirán la prestación de servicios, productos y asistencia de UPS; gestionar Sus pagos, demandas, peticiones y Cuentas UPS; comunicarnos con Usted para ofrecerle actualizaciones de seguimiento e información sobre eventos especiales, encuestas, concursos, ofertas, promociones, productos y servicios; proporcionar publicidad que pueda adaptarse a Sus intereses; operar, evaluar, proteger y mejorar el negocio de UPS; facilitar Su uso de blogs y redes sociales de UPS; llevar a cabo análisis de datos; supervisar y notificar problemas de cumplimiento, incluida la identificación y protección de actividades ilegales o ilícitas, demandas y demás responsabilidades; ejercer, constituir y defender demandas legales; y cumplir las políticas de UPS y las obligaciones legales; y ii) transfieran información personal que Usted haya facilitado a países distintos del país donde se produce el Envío. También acepta que UPS comparta con terceros información personal que Usted facilite, incluidos proveedores de servicio, filiales, distribuidores, socios conjuntos de comercialización, franquiciados, Sus contactos por petición Suya, organismos públicos y demás terceros como remitentes, consignatarios o terceros pagadores y destinatarios (en conjunto, los \"Destinatarios\"). UPS también podrá utilizar o divulgar información personal que Usted haya facilitado en relación con el cumplimiento de una obligación legal, la cooperación voluntaria con las fuerzas del orden u otras autoridades públicas o del gobierno, para evitar daños o pérdidas en relación con actividades ilegales o ilícitas presuntas o reales, y en el supuesto de que UPS venda o transfiera la totalidad o parte de sus negocios o activos. UPS no es responsable de las prácticas de privacidad de los lugares, sitios web, plataformas o servicios que no sean de UPS. <br>Usted declara y garantiza lo siguiente a UPS, cuando Usted o Sus empleados, mandatarios o contratistas (las \"Partes del Remitente\") proporcionen información personal a la Empresa de Entregas UPS: 1) que las Partes del Remitente han recopilado la información personal legalmente, y tienen el derecho y la autoridad de proporcionar la información personal a las Partes UPS para cualquier uso permitido según estos Términos y Condiciones Generales, Cláusula 12.10; 2) que Usted u otra Parte del Remitente han notificado a cada persona física identificada por la información personal (incluidos todos los destinatarios de paquetes), de conformidad con la legislación aplicable, que UPS tratará la información personal conforme a lo permitido por esta Cláusula 12.10 y para fines adicionales que UPS haya adoptado y que estén en efecto en el momento del envío, que la información personal puede ser proporcionada por UPS a los Destinatarios antes mencionados, y que la información personal puede ser transferida a países o territorios distintos del país o territorio en el que las Partes de UPS originalmente recogieron la información (cuyos países o territorios pueden no tener las mismas leyes de protección de datos que el país o territorio en el que Usted originalmente proporcionó la información); y 3) Usted ha obtenido el consentimiento informado y específico de cualquier destinatario o receptor de un paquete, según lo exige la ley, para que UPS pueda enviar correo electrónico y otras notificaciones relacionadas con los servicios de envío acordados.<br>Además, Usted acepta recibir en su número de teléfono llamadas telefónicas y mensajes de texto con fines ajenos al marketing en relación con los servicios de recogida y entrega de UPS (incluidos, a título de ejemplo, llamadas y mensajes de texto de recogidas) de parte o en nombre de UPS a cualquier número de teléfono inalámbrico que le haya sido asignado a Su cuenta. Usted entiende y conviene que tales llamadas o mensajes SMS podrán ser pregrabados o enviados a través de un sistema de marcación telefónica automático y que Su operadora de telefonía móvil podrá aplicar tarifas por mensajes y datos a la recepción de los mismos por parte de Usted en cualquier número de telefonía móvil. Usted entiende y acepta que cualquiera de los números de teléfono que Usted proporcione a UPS serán verídicos, correctos, actualizados y completos, y Usted actualizará con prontitud cualquiera de tales números según convenga a tales efectos.<br>12.11.	No exclusividad. Nada de lo dispuesto en el presente Contrato será interpretado en el sentido de que le impide a UPS o limita su derecho a celebrar acuerdos similares con cualquier otra Persona, o negociar o contratar directamente con clientes compartidos por ambas partes.<br>12.12.	Acuerdo completo. Modificación. El presente Contrato constituye el entendimiento y acuerdo completos entre las partes con respecto a su objeto y reemplaza (1) a todas las declaraciones, entendimientos y acuerdos previos o contemporáneos relacionados con él y (2) a todas las versiones previas del Contrato de Tecnología de UPS entre UPS y Usted, todos los cuales quedan incluidos en el presente Contrato. Dicha inclusión no tendrá efecto en cuanto al Software. El Contrato de Tecnología de UPS vigente en el momento en que Usted reciba una versión en particular del Software regirá Su uso de dicha versión del Software en todo momento. Todo Contrato de Tecnología Corporativa entre UPS y el Cliente, celebrado antes o después de la fecha del presente, reemplazará al presente Contrato. Todo Contrato de Tecnología de UPS celebrado entre UPS y Usted, cuya versión sea más reciente que la Versión UTA09072020, reemplazará al presente Contrato. El reemplazo de cualquier acuerdo previo no limitará los derechos que UPS tiene frente a Usted como consecuencia de la violación o el incumplimiento de ese acuerdo previo antes de la fecha del presente. Este Contrato no podrá ser modificado o cambiado salvo mediante un escrito firmado por los representantes autorizados de las partes del presente. Sin embargo, UPS podrá modificar los Derechos del Usuario Final conforme a lo dispuesto en la Cláusula 10.2 de ese documento y los Materiales UPS y la Tecnología de UPS conforme a la Cláusula 4.2 de los presentes Términos y Condiciones Generales. No se podrá usar un documento con firmas electrónicas para modificar o cambiar el Contrato.<br>12.13.	Renuncia: Renuncia a notificaciones para la Unión Europea. Si es Usted residente de, o su domicilio social está situado en, un país dentro de la Unión Europea o el Espacio Económico Europeo, incluido el Reino Unido, con independencia de si permanece o no en la Unión Europea, Usted renuncia a todos los avisos, declaraciones y confirmaciones relativas a la contratación por medios electrónicos que sean obligatorias en virtud de los Artículos 10 1), 10 2), 11 1) y 11 2) de la Directiva UE 2000\/31\/CE conforme se haya transpuesto en su jurisdicción (incluido, en el Reino Unido, lo que puedan exigir las disposiciones equivalentes del Reglamento [Directiva CE] del Comercio Electrónico de 2002 según se haya modificado o sustituido periódicamente, con posterioridad a la salida del Reino Unido de la Unión Europea) con respecto a su uso de la Tecnología de UPS. En la medida en que tenga Usted derecho reglamentariamente a retractarse del presente Contrato durante los primeros catorce (14) días desde Su aceptación, por el presente, renuncia expresamente al derecho de retracto de 14 días a cambo de que UPS ponga las Tecnologías UPS a Su disposición de forma inmediata tras la suscripción del presente Contrato.<br>12.14.	AVISO: Procesamiento de información personal conforme al Aviso de Privacidad de UPS. Por el presente declara que la información personal podría ser tratada conforme se establece en la Cláusula 12.10 de los Términos y Condiciones Generales. Usted acepta asimismo que, cuando revista el carácter de destinatario o receptor de un paquete, habrá sido notificado del procesamiento y uso de su información personal conforme a lo descrito en la Cláusula 12.10 de los Términos y Condiciones Generales.<br>12.15.	Términos específicos de país. Si Usted es residente o Su oficina registrada está situada en uno de los países o territorios que se enumeran a continuación, se le aplicarán los términos del Anexo B. En caso de conflicto o ambigüedad entre alguna de las disposiciones incluidas en el cuerpo de estos Términos y Condiciones Generales y alguna disposición incluida en el Anexo B, la disposición incluida en el Anexo B prevalecerá si el Anexo B se le aplica a Usted.<br>a.	Baréin, Kuwait, Omán, Catar, Arabia Saudí, EAU, Jordania, Túnez, Argelia, Yibuti, Irak, Líbano, Libia, Marruecos y Mauritania (\"Países de Oriente Medio\"). <br>b.	Bangladés, Estados Unidos de América, Indonesia, Israel y Puerto Rico.<br>ANEXO A<br>DEFINICIONES  TÉRMINOS Y CONDICIONES GENERALES<br>Filiales hace referencia a los terceros que controlan a una Persona, están controlados por ella o se encuentran bajo control común con ella, en forma directa o indirecta. A efectos de esta definición, el término \"control\" (incluidos con sus correspondientes significados, los términos \"controlado por\" y \"bajo control común con\") hace referencia a la posesión directa o indirecta del poder de dirigir o determinar la dirección de la gestión y las políticas de una entidad, ya sea mediante propiedad de acciones con derecho a voto, mediante fideicomiso, acuerdo de gestión, contrato u alguna otra vía.<br>Contrato está definido en el segundo párrafo de los presentes Términos y Condiciones Generales.<br>Envío(s) Facturado(s) a Otra Cuenta hace referencia a los envíos que otra Persona entrega a las Partes UPS en representación de Usted, cuando se los carga a la Cuenta UPS que Usted tiene.<br>Cesión está definido en la Cláusula 12.4 de los Términos y Condiciones Generales.<br>Prestador de Servicios de Datos de Facturación hace referencia a un tercero que presta servicios (1) contratado por Usted para la prestación de servicios de cierre del Ciclo de Facturación del Cliente, y (2) Usted haya informado a UPS que lo ha contratado para que reciba Datos de Facturación de UPS a Usted a través de los Sistemas UPS, utilizando el método de transferencia segura apropiado que UPS puede modificar de vez en cuando en conformidad con este Contrato.<br>Información Confidencial hace referencia a toda información o material, excepto Secretos Industriales, que tiene valor para UPS y que no es de conocimiento de terceros, o que UPS obtenga de terceros (incluidas, a título de ejemplo, las Partes UPS) y que considere como de propiedad exclusiva, sean o no de propiedad de UPS. La Información Confidencial incluye la Información. La Información Confidencial no incluye información que Usted puede mostrar: (1) ya conocía en el momento de recibirla de UPS y no estaba sujeta a ningún otro acuerdo de no divulgación entre las partes; (2) que pase a ser de dominio público, en el presente o en el futuro, sin que Usted tenga la culpa; (3) que Usted desarrolle en forma lícita e independiente por otros medios sin remitirse a la Información Confidencial; o (4) que Usted adquiera lícitamente de terceros que no estén sujetos a ninguna obligación de confidencialidad.<br>Cliente está definido en el tercer párrafo de los Términos y Condiciones Generales.<br>Daños hace referencia a las reclamaciones, las pérdidas, los daños y perjuicios, las disposiciones jurisdiccionales, las sentencias y los costes y gastos (incluidos, a título de ejemplo y sin carácter taxativo, los honorarios de abogados).<br>Derechos del usuario final hace referencia al documento disponible en <br><https:\/\/www.ups.com\/assets\/resources\/media\/es_ES\/EUR.pdf><br><br>Términos y Condiciones Generales hace referencia al presente documento.<br>Envíos Entrantes hace referencia a los envíos entregados a las Partes UPS para que estas se los entreguen a Usted.<br>Información hace referencia a la información que proveen los Sistemas UPS (i) en relación con los servicios que prestan las Partes UPS o (ii) generada en relación con las actividades de envío que Usted realiza con las Partes UPS e incluye, a título de ejemplo y sin carácter taxativo, los Envíos Entregados.<br>Políticas de Información y Uso General hace referencia al documento disponible en <https:\/\/www.ups.com\/assets\/resources\/media\/en_US\/IGUP.pdf><br>Países de Oriente Medio está definido en la Cláusula 12.15 de los Términos y Condiciones Generales.<br>Envíos Salientes hace referencia a un envío que Usted entregue a las Partes UPS.<br>Territorio Autorizado hace referencia, en relación con cualquier Tecnología de UPS, a los países y territorios relacionados con esa Tecnología de UPS que se indican en el Anexo C a los presentes Derechos del Usuario Final.<br>Persona hace referencia a toda persona física, sociedad anónima, sociedad de responsabilidad limitada, sociedad por partes de interés, empresa conjunta, asociación, sociedad por acciones, fideicomiso, organización de hecho u otra persona jurídica.<br>Fines está definido en la Cláusula 12.10 de los Términos y Condiciones Generales.<br>Receptores está definido en la Cláusula 12.10 de los Términos y Condiciones Generales.<br>Territorio Restringido hace referencia a aquellos países o territorios sujetos a un programa global de sanciones económicas administrado por la Oficina de Control de Activos Extranjeros (Office of Foreign Assets Control u \"OFAC\") del Departamento del Tesoro de Estados Unidos o a cualquier otra prohibición general sobre el uso, la exportación o la reexportación de Tecnología de UPS conforme a leyes estadounidenses de sanciones y control de las exportaciones. El listado de países o territorios sujetos a embargo o sanciones impuestos por la OFAC puede cambiar en cualquier momento. Solamente para Su referencia, los siguientes enlaces proporcionan información relativa a dichos países o territorios: https:\/\/www.treasury.gov\/resource-center\/sanctions\/Programs\/Pages\/Programs.aspx, y https:\/\/www.bis.doc.gov\/complianceandenforcement\/liststocheck.htm.<br>Prestador de Servicios está definido en el tercer párrafo de los Términos y Condiciones Generales.<br>Empleado del Prestador de Servicios está definido en el tercer párrafo de los Términos y Condiciones Generales.<br>Partes del Remitente está definido en la Cláusula 12.10 de los Términos y Condiciones Generales.<br>Software hace referencia a los elementos de Tecnología de UPS que (i) sean software y que UPS le proporciona a Usted conforme al presente Contrato (con excepción de las muestras de código de software) y toda la Documentación Técnica relacionada y (ii) sus Actualizaciones, en la medida que UPS las proporcione a Usted conforme al presente Contrato.<br>Servicios de Soporte está definido en la Cláusula 5.1 de los Términos y Condiciones Generales.<br>Software de Soporte está definido en la Cláusula 5.1 de los Términos y Condiciones Generales.<br>Prestadores de Servicios de Soporte está definido en la Cláusula 5.1 de los Términos y Condiciones Generales.<br>Documentación Técnica hace referencia, en conjunto, a toda la documentación y\/o muestra de código de software con respecto a la Tecnología de UPS o a las Marcas de UPS que UPS pone a disposición de Usted o le proporciona conforme al presente documento.<br>Envío Entregado significa un envío entregado (i) por Usted o para Usted a las Partes UPS para su entrega, o (ii) por un tercero a las Partes UPS para su entrega a Usted, que podrá ser un Envío Saliente, un Envío Facturado a Otra Cuenta o un Envío Entrante.<br>Vigencia está definido en la Cláusula 6.2 de los Términos y Condiciones Generales.<br>Secreto Industrial hace referencia a toda información de UPS o que esta haya adquirido de terceros (incluidas, a título de ejemplo y sin carácter taxativo, las Partes UPS), que no sea generalmente de conocimiento del público ni esté a su disposición, y que (1) tenga un valor económico, real o posible, por el hecho de no ser de conocimiento general de otras personas o que estas no puedan conseguir fácilmente por medios correctos, pero puedan obtener un valor económico de su divulgación o uso, y (2) sea objeto de gestiones razonables para mantener su carácter secreto.<br>Actualización o Actualizaciones hace referencia al mantenimiento, corrección de errores, modificaciones, actualizaciones, mejoras o revisiones de Materiales UPS.<br>UPS hace referencia a UPS Market Driver, Inc.<br>Cuenta UPS hace referencia a la cuenta de envíos que un integrante de las Partes UPS le asigne a Usted e incluye, a título de ejemplo y sin carácter taxativo, las cuentas asignadas a usuarios de UPS.com Shipping conocidas como \"cuentas temporarias\" y cuentas de envío de UPS Freight.<br>Bases de Datos UPS hace referencia a las bases de datos que contienen información de propiedad exclusiva relacionada con los servicios de envío de las Partes UPS, que se distribuyen junto con el Software o para ser usadas con el Software.<br>UPS Delivery Co. está definido en la Cláusula 12.10 de los Términos y Condiciones Generales.<br>Marcas UPS hace referencia a la marca de la palabra \"UPS\" tal como se muestra en varios registros de marcas registradas como el N.º de registro 966 724 de marca registrada estadounidense y la marca \"UPS y escudo estilizado\" tal como se muestra a continuación y en varios registros de marcas registradas como los N.º de registro: 2 867 999, 2 965 392, 2 973 108, 2 978 624, 3 160 056 de marcas registradas de los EE. UU. y los N.º de registro: 3 107 026, 3 107 281, y 3 106 978 de marcas registradas de la Comunidad Europea.<br> 		 <br>Materiales UPS hace referencia, en conjunto, a la Tecnología de UPS, las Bases de Datos UPS, la Documentación Técnica, la Información, el Software, la Marca UPS y los Sistemas UPS.<br>Partes UPS hace referencia a UPS y las Filiales que tenga en ese momento, así como sus respectivos accionistas, funcionarios, directores, empleados, mandatarios, socios, terceros proveedores y terceros licenciatarios.<br>Sistemas UPS hace referencia a los sistemas de computación y redes de UPS a los que se accede mediante Tecnología de UPS.<br>Tecnología de UPS hace referencia a los productos detallados en el Anexo B. a los Derechos del Usuario Final.<br>Usted está definido en el tercer párrafo del presente Contrato.<br>ANEXO B<br>MODIFICACIÓN ESPECÍFICA DE PAÍS DE LOS TÉRMINOS Y CONDICIONES GENERALES<br>Si Usted es residente o Su domicilio social se encuentra en cualquier país o territorio identificado en la Sección 12.15 de las Condiciones Generales, los siguientes términos sustituyen o modifican los términos a los que se hace referencia en las Condiciones Generales. Todos los términos de los Términos y Condiciones Generales que no se cambien por estas modificaciones permanecerán sin cambios y en vigor.<br>1.	Países de Oriente Medio, Bangladesh, Indonesia, Israel, Estados Unidos y Puerto Rico.<br>1.1	Ámbito geográfico y aplicabilidad.<br>a.	Usted garantiza y declara que es residente o que Su domicilio social se encuentra en uno de los siguientes países: Países de Oriente Medio, Bangladés, Indonesia, Israel, Estados Unidos de América o Puerto Rico.<br>b.	Sujetos a la Cláusula 1.1(a) del anterior Anexo B, Usted y UPS aceptan modificar los Términos y Condiciones Generales como se establece en la siguiente Cláusula 1.2 de este Anexo B.<br>c.	Excepto cuando se modifiquen según se establece en el presente Contrato, los Términos y Condiciones Generales (incluidos los Anexos a estos) continuarán en plena vigencia hasta su vencimiento o terminación y constituyen todo el contrato suscrito entre Usted y UPS en relación al objeto del presente. En la medida en la que alguna disposición de este Anexo B sea incongruente con los Términos y Condiciones Generales, los términos de este Anexo B se regirán única y exclusivamente en virtud del objeto de incongruencia.<br>d.	Teniendo en cuenta las promesas y pactos mutuos de las partes, Usted y UPS acuerdan que los Términos y Condiciones Generales se modificarán como se establece en la Cláusula 1.2 del siguiente Anexo B.<br>1.2	Modificaciones.<br>a.	Si Usted es residente o Su domicilio social se encuentra en uno de los países de Oriente Medio, Bangladés, Indonesia o Israel, la Cláusula 9 de los Términos y Condiciones Generales se eliminará en su totalidad y será reemplazada por la siguiente:<br>\"9.	Limitación de responsabilidad.<br>9.1	Excepto cuando se establezca de forma expresa en la Cláusula 9.2:<br>a.	En ninguna circunstancia, las partes UPS tienen responsabilidad alguna por pérdidas o daños que pueda sufrir el Cliente (o cualquier otra persona que reclame en nombre de o a través del Cliente), independientemente de que estos daños hayan sido sufridos directa o indirectamente, sean inmediatos o consecuentes, o se deban a un incumplimiento de contrato, ilícito civil (incluyendo la negligencia) o cualquier otra causa, que puedan clasificarse en las siguientes categorías:<br>i.	daños especiales, incluso cuando las partes UPS sean conscientes de las circunstancias en las que dichos daños especiales pudieran ocurrir;<br>ii.	pérdida de beneficios;<br>iii.	pérdida de ahorros previstos;<br>iv.	pérdida de oportunidad de negocio;<br>v.	pérdida de prestigio;<br>vi.	gastos por proporcionar productos de sustitución en virtud de este Contrato;<br>vii.	pérdida o daño de datos o uso de datos.<br>b.	La responsabilidad total de las partes UPS, ya sea por incumplimiento de contrato, ilícito civil (incluyendo la negligencia) o por cualquier otra causa, y tenga relación con este Contrato o con algún otro contrato colateral, no deberá exceder en ningún caso, en su conjunto, una suma igual a los mil dólares estadounidenses (1.000 USD); y<br>c.	Usted acepta que, al suscribir el presente Contrato, éste no se basa en ninguna declaración, ya sea escrita u oral, de cualquier tipo o de cualquier persona distinta de las que se establecen expresamente en el presente Contrato o (si se basa en alguna declaración, ya sea escrita u oral, no establecida de forma expresa en esta licencia) que no tendrá ningún recurso en relación con dichas declaraciones y que, en cualquier caso, las partes UPS no serán responsables en ninguna circunstancia que no se haya establecido de forma expresa en los términos de este Contrato.<br>9.2	Las exclusiones de la Cláusula 9.1 se aplicarán en la máxima medida posible permitida por la ley aplicable, pero las partes UPS no excluyen la responsabilidad por:<br>a.	muerte o lesión personal causadas por negligencia de las partes UPS, sus directivos, empleados, contratistas o agentes;<br>b.	fraude o declaración fraudulenta; o<br>c.	cualquier otra responsabilidad que no esté excluida por ley.<br>9.3	Para evitar toda duda, la exhibición del presente Contrato (versión UTA 09072020) a usted más de una vez no hará que la responsabilidad global total de las Partes de UPS supere la suma de mil dólares estadounidenses (1000 USD).<br>9.4	NO se podrán efectuar reclamos pasados seis (6) meses de la fecha del primer hecho que dio lugar a la reclamación.\"<br>b.	Si Usted es residente o Su domicilio social se encuentra en uno de los países de Oriente Medio, Bangladés, Indonesia, Israel, los Estados Unidos de América o Puerto Rico, la Cláusula 12.6 de los Términos y Condiciones Generales se eliminará en su totalidad y será reemplazada por la siguiente:<br>\"12.6	Legislación aplicable y arbitraje.<br>a.	Si Usted reside, o tiene su sede social en uno de los Países de Oriente Medio, cualquier disputa que surja de o en relación con este Contrato, incluyendo cualquier cuestión en relación con su existencia, validez o extinción, se remitirá y se resolverá finalmente por arbitraje en virtud del reglamento de arbitraje del DIFC-LCIA Arbitration Centre, cuyo reglamento se considera incorporado por referencia a esta cláusula. El número de árbitros será uno. La sede o lugar en el que se celebre el arbitraje será el Dubai International Financial Centre. La lengua utilizada en el arbitraje será el inglés. La legislación que regirá el contrato será el derecho sustantivo de Inglaterra y Gales. Por el presente, Usted declara y garantiza que tiene autoridad para suscribir un contrato que se arbitrará de acuerdo con esta cláusula y con cualquier legislación aplicable.<br>b.	Si Usted reside, o tiene su sede social en Bangladesh o Indonesia, cualquier disputa que surja de o en relación con este Contrato, incluyendo cualquier cuestión en relación con su existencia, validez o extinción, se remitirá y se resolverá finalmente por arbitraje en virtud del reglamento de arbitraje del Centro de Arbitraje Internacional de Singapur, cuyo reglamento se considera incorporado por referencia a esta cláusula. El número de árbitros será uno. La sede o lugar en el que se celebre el arbitraje será el Centro de Arbitraje Internacional de Singapur. La lengua utilizada en el arbitraje será el inglés. La legislación que regirá el contrato será el derecho sustantivo de Inglaterra y Gales. Por el presente, Usted declara y garantiza que tiene autoridad para suscribir un contrato que se arbitrará de acuerdo con esta cláusula y con cualquier legislación aplicable.<br>c.	Si Usted reside, o tiene su sede social en Israel, cualquier disputa que surja de o en relación con este Contrato, incluyendo cualquier cuestión en relación con su existencia, validez o extinción, se remitirá y se resolverá finalmente por arbitraje en virtud del reglamento de arbitraje del Instituto Israelí de Arbitraje Comercial, cuyo reglamento se considera incorporado por referencia a esta cláusula. El número de árbitros será uno. Las partes también acuerdan acatar y cumplir el laudo o la resolución del árbitro como decisión final en relación con dicha disputa. La lengua utilizada en el arbitraje será el inglés. La legislación que regirá el contrato será el derecho sustantivo de Inglaterra y Gales. Por el presente, Usted declara y garantiza que tiene autoridad para suscribir un contrato que se arbitrará de acuerdo con esta cláusula y con cualquier legislación aplicable.<br>d.	Si Usted reside, o Su domicilio social se encuentra en los Estados Unidos de América o en Puerto Rico, cualquier disputa que pudiera suscitarse en virtud de este Contrato, o el incumplimiento del mismo, se regirá según se establece en el Anexo 1 (Resolución de controversias en los Estados Unidos y Puerto Rico) adjunto al presente.<br>e.	Salvo en casos en que lo exija la legislación local, de acuerdo con la celebración válida de un contrato vinculante, el inglés será el idioma que regirá lo dispuesto en el presente Contrato. Toda traducción que Usted haya recibido tendrá únicamente efectos prácticos. Toda la correspondencia y las comunicaciones entre Usted y UPS conforme al presente Contrato deberán estar redactadas en inglés. En caso de que haya suscrito el presente Contrato en la versión traducida disponible en Internet del presente Contrato en una lengua distinta al inglés de Estados Unidos, puede visualizar la versión en inglés de Estados Unidos de este Contrato accediendo a https:\/\/www.ups.com\/assets\/resources\/media\/es_ES\/UTA.pdf.<br>f.	Sin perjuicio de cualquier otro término de este Acuerdo, las disposiciones sobre resolución de controversias recogidas en cualquier contrato que Usted haya celebrado con cualquier miembro de las Partes UPS en relación con Servicios de UPS, incluidos a modo de ejemplo los Términos y Condiciones de Transporte\/Servicio de UPS aplicables, regirán en aquellos casos en que tales disposiciones sean aplicables a cualquier reclamación o controversia.<br>c.	Si Usted reside, o Su domicilio social se encuentra en uno de los países de Oriente Medio, Bangladés, Indonesia o Israel, la Cláusula 12.16 se adjuntará a los Términos y Condiciones Generales de la siguiente manera:<br>\"12.16	Interpretación. A este Contrato, se aplicarán las siguientes normas de interpretación:<br>a.	Los títulos de las cláusulas y los anexos no afectarán a la interpretación de este Contrato.<br>b.	Una persona incluye a una persona física o a una entidad corporativa o no corporativa (tenga o no personalidad jurídica independiente).<br>c.	A menos que el contexto requiera otra cosa, las palabras en singular incluirán el plural y el plural incluirá el singular.<br>d.	A menos que el contexto requiera otra cosa, una referencia a un género incluirá una referencia al otro género.<br>e.	Cualquier referencia a un término jurídico inglés que haga referencia a una acción, remedio, método o procedimiento judicial, documento legal, estado legal, tribunal, oficial o cualquier otro concepto jurídico, en relación a cualquier jurisdicción distinta a la inglesa, se considerará que incluye una referencia a lo que más se aproxime al término jurídico inglés en esa jurisdicción.<br>f.	Una referencia a una ley o disposición estatutaria es una referencia a dicha ley o disposición y a sus eventuales enmiendas, ampliaciones o nuevas promulgaciones, antes o después de la fecha del presente Contrato, y, en caso de referencia a una ley, también se hace referencia a toda la legislación subordinada bajo esa ley antes o después de la fecha de este Contrato.<br>g.	Cualquier palabra que siga a los términos \"incluyendo\", \"incluir\", \"en particular\" o \"por ejemplo\" o cualquier frase parecida no deben limitar la generalización de las palabras generales relacionadas.<br>h.	Cualquier referencia a la palabra \"comerciabilidad\" también debe interpretarse con el significado de \"calidad satisfactoria\".<br>d.	Si Usted reside, o Su domicilio social se encuentra en uno de los países de Oriente Medio, Bangladés, Indonesia o Israel, la Cláusula 12.17 se adjuntará a los Términos y Condiciones Generales de la siguiente manera:<br>\"12.17	Derechos de terceros. Una persona que no forma parte de este Contrato no tendrá ningún derecho bajo la Ley de contratos de 1999 (Derechos de terceros) para ejecutar ningún término de este Contrato, pero esto no afecta a ningún derecho o recurso de un tercero que exista, o esté disponible, aparte de esta ley\".<br>e.	Si Usted reside, o Su domicilio social se encuentra en uno de los países de Oriente Medio, Bangladés, Indonesia o Israel, la Cláusula 12.18 se adjuntará a los Términos y Condiciones Generales de la siguiente manera:<br>\"12.18	Antisoborno y anticorrupción. Usted debe cumplir con las leyes, estatutos, reglamentos y códigos relacionados con el antisoborno y la anticorrupción, incluyendo pero no limitándose, a la Ley contra el soborno de Reino Unido de 2010 en relación con este Contrato y debe informar rápidamente a UPS de cualquier solicitud o demanda de cualquier ventaja financiera indebida u de otra ventaja de cualquier tipo recibida por dicha parte en relación con la ejecución de este Contrato\".<br>f.	Si Usted reside, o Su domicilio social se encuentra en Indonesia, la Sección 12.13 de los Términos y Condiciones Generales será eliminada en su totalidad y reemplazada por la siguiente:<br>\"12.13 Acuerdo completo. Modificación. El presente Contrato constituye el entendimiento y acuerdo completos entre las partes con respecto a su objeto y reemplaza (1) a todas las declaraciones, entendimientos y acuerdos previos o contemporáneos relacionados con él y (2) a todas las versiones previas del Contrato de Tecnología de UPS entre UPS y Usted, todos los cuales quedan incluidos en el presente Contrato. Dicha inclusión no tendrá efecto en cuanto al Software. El Contrato de Tecnología de UPS vigente en el momento en que Usted reciba una versión en particular del Software regirá Su uso de dicha versión del Software en todo momento. Todo Contrato de Tecnología Corporativa entre UPS y el Cliente, celebrado antes o después de la fecha del presente, reemplazará al presente Contrato. Todo Contrato de Tecnología de UPS celebrado entre UPS y Usted, cuya versión sea más reciente que la Versión UTA09072020 reemplazará al presente Contrato. El reemplazo de cualquier acuerdo previo no limitará los derechos que UPS tiene frente a Usted como consecuencia de la violación o el incumplimiento de ese acuerdo previo antes de la fecha del presente. No se podrá usar un documento con firmas electrónicas para modificar o cambiar el Contrato.<br>Anexo 1<br>Resolución de disputas en los Estados Unidos y Puerto Rico<br>Arbitraje vinculante de disputas <br>Con excepción de las disputas que reúnan los requisitos para ser resueltas por tribunales estatales de jurisdicción limitada (tales como demandas de menor cuantía, juzgados de paz, tribunales de primera instancia y tribunales similares con límites monetarios en sus jurisdicciones sobre disputas civiles), Usted y UPS acuerdan que cualquier disputa o reclamación, ya sea de derecho o de equidad, que surja de o esté relacionada con este Acuerdo y que surja en su totalidad o en parte en los Estados Unidos o Puerto Rico, independientemente de la fecha en que se haya originado dicha disputa, serán resueltas en su totalidad por un arbitraje vinculante individual (no como una demanda de clase ni colectiva).<br>El arbitraje es el sometimiento de una disputa a un árbitro neutral, en lugar de a un juez o jurado, para una decisión final y vinculante, conocida como un \"laudo\". El arbitraje proporciona pruebas más limitadas que ante un tribunal, y está supeditado a revisión limitada por parte de los tribunales. Cada parte tiene la oportunidad de presentar pruebas al árbitro por escrito o a través de testigos. Un árbitro sólo puede otorgar los mismos daños y perjuicios que un tribunal puede otorgar en virtud de la legislación y debe cumplir con las condiciones de este Contrato. Usted y UPS acuerdan que su única relación es una relación contractual regida por este Contrato.<br>Arbitraje institucional<br>El arbitraje lo llevará a cabo la Asociación Americana de Arbitraje (\"AAA\") de acuerdo con sus Reglas de arbitraje comercial y los Procedimientos suplementarios para disputas relacionadas con el consumidor (el \"Reglamento AAA\"), y cualquier fallo sobre el laudo podrá ser presentado ante cualquier tribunal de jurisdicción competente. El Reglamento de la AAA, incluidas las instrucciones sobre cómo iniciar un arbitraje, están disponibles en https:\/\/www.adr.org. El árbitro decidirá todas las cuestiones del caso sobre la base de la legislación aplicable, no de la equidad. Si Usted inicia un proceso de arbitraje, debe notificar al agente registrado de UPS para la notificación del proceso, Corporación de Servicios Empresariales, que tiene oficinas en cada estado. También puede encontrar información en el sitio web del Secretario de Estado de su localidad.<br>Cualquier arbitraje en virtud del presente Contrato se llevará a cabo sobre una base individual; no se permiten acciones o arbitrajes colectivos, a gran escala, consolidados o combinados, ni procedimientos como un procurador general privado. Tanto Usted como UPS renuncian al derecho a un proceso con jurado. Además, Usted y UPS renuncian a la posibilidad de participar en una acción o arbitraje colectivo, a gran escala, consolidado o combinado.<br>Lugar del arbitraje\/Número de árbitros\/Costes del arbitraje<br>Cualquier arbitraje se llevará a cabo en el condado donde Usted reside y será determinado por un solo árbitro. Cualquier honorario de presentación o coste administrativo que se le exija en virtud de las normas de la AAA será pagado por Usted en la medida en que dicha suma no exceda el importe del honorario necesario para iniciar una acción similar en un tribunal que normalmente tendría jurisdicción. Para todas las reclamaciones que no sean frívolas, UPS pagará la cantidad de dicho honorario que supere dicha suma. El árbitro asignará los costes administrativos y los honorarios arbitrales de acuerdo con las normas aplicables de la AAA. Los honorarios y gastos razonables de abogados se asignarán o adjudicarán sólo en la medida en que dicha asignación o adjudicación esté disponible en virtud de la legislación pertinente.<br>Todas las cuestiones deben ser decididas por el árbitro, excepto las relacionadas con el alcance, la aplicación y fuerza ejecutiva de la disposición de arbitraje, que deben ser decididas por un tribunal. La Ley Federal de Arbitraje rige la interpretación y aplicación de esta disposición. <br>Separabilidad<br>Independientemente de cualquier disposición en contrario en el Reglamento AAA, si cualquier parte de esta disposición de arbitraje es considerada inválida o improcedente por cualquier razón, esto no afectará la validez o fuerza ejecutiva del resto de esta disposición de arbitraje, y el árbitro tendrá la autoridad de modificar cualquier disposición considerada inválida o improcedente para hacer la misma válida y aplicable.<br>Arbitraje administrativo<br>Para todas las disputas concernientes a una cantidad inferior a quince mil dólares (15.000 USD), las partes presentarán sus argumentos y pruebas al árbitro por escrito y el árbitro emitirá un laudo basado únicamente en los documentos; no se llevará a cabo ninguna audiencia a menos que el árbitro, a su discreción, y a solicitud de una parte, decida que es necesario requerir una audiencia en persona. Para una disputa regulada por los Procedimientos suplementarios de la AAA para controversias relacionadas con el consumidor, y concerniente a un laudo entre quince mil dólares (15 000 USD) y cincuenta mil dólares (50 000 USD), inclusive, UPS pagará Su tarifa de presentación según el Reglamento AAA, siempre que Usted acepte que cada una de las partes presentará sus argumentos y pruebas al árbitro por escrito y que el árbitro emitirá un laudo basado únicamente en los documentos, sin que se celebre una audiencia. Sin perjuicio de esta disposición, las partes podrán acordar en cualquier momento la realización de un arbitraje administrativo.<br>Acceso a los tribunales de menor cuantía<br>Todas las partes se reservan el derecho de solicitar la adjudicación en un tribunal estatal de jurisdicción limitada, como juzgados de menor cuantía, tribunales de primera instancia, juez de paz y tribunales similares con límites monetarios en su jurisdicción sobre disputas civiles, para disputas individuales dentro del alcance de la jurisdicción de dicho tribunal.<br>Declaraciones<br>USTED Y UPS RECONOCEN Y ACUERDAN QUE CADA PARTE RENUNCIA AL DERECHO A:<br>a)	A TENER UN JUICIO ANTE JURADO PARA RESOLVER CUALQUIER DISPUTA ALEGADA CONTRA USTED, UPS O TERCEROS RELACIONADOS;<br>b)	CONTAR CON UN TRIBUNAL, QUE NO SEA UN TRIBUNAL ESTATAL DE JURISDICCIÓN LIMITADA COMO SE DEFINE ANTERIORMENTE, QUE RESUELVA CUALQUIER DISPUTA ALEGADA EN SU CONTRA, DE UPS O DE TERCEROS RELACIONADOS;<br>c)	HACER QUE UN TRIBUNAL REVISE CUALQUIER DECISIÓN O LAUDO DE UN ÁRBITRO, YA SEA PROVISIONAL O DEFINITIVO, EXCEPTO LAS APELACIONES POR RAZÓN DE VACATUR EXPRESAMENTE ESTABLECIDOS EN LA SECCIÓN 10 DE LA LEY FEDERAL DE ARBITRAJE; Y<br>d)	SERVIR COMO REPRESENTANTE, COMO PROCURADOR GENERAL PRIVADO, O EN CUALQUIER OTRA CAPACIDAD DE REPRESENTACIÓN, UNIRSE COMO MIEMBRO DE LA CLASE O PARTICIPAR COMO MIEMBRO DE UN GRUPO EN CUALQUIER ACCIÓN O ARBITRAJE COLECTIVO, A GRAN ESCALA, CONSOLIDADO O COMBINADO PRESENTADO CONTRA USTED, UPS O TERCEROS RELACIONADOS.<br><br>Adjudicación<br>El árbitro podrá adjudicar una compensación económica o equitativa a favor de la parte individual que solicita la compensación y sólo en la medida en que sea necesario para proporcionar la compensación garantizada por la demanda individual de esa parte. Del mismo modo, un laudo arbitral y cualquier sentencia que lo confirme sólo se aplican a ese caso específico; no puede utilizarse en ningún otro caso excepto para ejecutar el laudo en sí. Para reducir el tiempo y los gastos del arbitraje, el árbitro no proporcionará una declaración de las razones de su laudo a menos que una de las partes solicite una breve explicación de éstas. A menos que tanto Usted como UPS acuerden lo contrario, el árbitro no podrá consolidar más de una reclamación de una persona y no podrá presidir de ninguna otra manera ningún tipo de procedimiento de representación, de procurador general privado o de litigio colectivo.<br>Confidencialidad del arbitraje<br>Sin perjuicio de cualquier disposición en contrario Reglamento AAA, UPS y Usted acuerdan que la presentación del arbitraje, el procedimiento de arbitraje, cualquier documento intercambiado o producido durante el procedimiento de arbitraje, cualquier escrito u otros documentos preparados para el arbitraje y el laudo arbitral se mantendrán totalmente confidenciales y no se divulgarán a ninguna otra parte, excepto en la medida necesaria para hacer cumplir esta disposición de arbitraje, el laudo arbitral u otros derechos de las partes, o según lo requiera una ley o un auto. Esta disposición de confidencialidad no excluye a la AAA de notificar cierta información de casos de arbitraje de consumo como lo requiere la legislación estatal." : $args['LicenseText'];

        $req_data = [];
        if (isset($args['optradio']) && $args['optradio'] == 3) {
            $req_data['UPSSecurity'] = [
                    "UsernameToken" => [
                        "Username" => $args['Username'],
                        "Password" => $args['Password']
                    ],
                    "ServiceAccessToken" => [
                        "AccessLicenseNumber" => $this->developerLicense
                    ]
                    ];
        }
        $req_data['AccessLicenseRequest'] = [
                "Request" => [
                    "RequestOption" => "",
                    "TransactionReference" => [
                        "CustomerContext" => "CustomerContext",
                        "TransactionIdentifier" => ""
                    ],
                ],
                "CompanyName" => isset($args['CompanyName']) ? $args['CompanyName'] : '',
                "Address" => [
                    "AddressLine1" => isset($args['AddressLine1']) ? $args['AddressLine1'] : '',
                    "AddressLine2" => isset($args['AddressLine2']) ? $args['AddressLine2'] : '',
                    "AddressLine3" => isset($args['AddressLine3']) ? $args['AddressLine3'] : '',
                    "City" => isset($args['City']) ? $args['City'] : '',
                    "StateProvinceCode" => isset($args['ProvinceCode']) ? $args['ProvinceCode'] : '',
                    "PostalCode" => isset($args['PostalCode']) ? $args['PostalCode'] : '',
                    "CountryCode" => isset($args['CountryCode']) ? $args['CountryCode'] : '',
                ],
                "PrimaryContact" => [
                    "Name" => isset($args['CustomerName']) ? $args['CustomerName'] : '',
                    "Title" => isset($args['Title']) ? $args['Title'] : '',
                    "EMailAddress" => isset($args['EmailAddress']) ? $args['EmailAddress'] : '',
                    "PhoneNumber" => isset($args['PhoneNumber']) ? $args['PhoneNumber'] : '',
                    "FaxNumber" => isset($args['FaxNumber']) ? $args['FaxNumber'] : '',
                ],
                // "SecondaryContact" => [ //old code 17/8/2022
                    // "Name" => isset($args['CustomerNameSec']) ? $args['CustomerNameSec'] : '', //previously commented code
                    // "Title" => isset($args['Title']) ? $args['Title'] : '',
                    // "EMailAddress" => isset($args['EmailAddress']) ? $args['EmailAddress'] : '',
                    // "PhoneNumber" => isset($args['PhoneNumber']) ? $args['PhoneNumber'] : '',
                    // "FaxNumber" => isset($args['FaxNumber']) ? $args['FaxNumber'] : '',
                //     "Name" => 'Hau',       //old code 17/8/2022
                //     "Title" => 'Mr',
                //     "EMailAddress" => 'hautq@fsoft.com.vn',
                //     "PhoneNumber" => '090909090',

                // ],
                "CompanyURL" => $_SERVER['SERVER_NAME'],
                "DeveloperLicenseNumber" => $this->developerLicense,
                "AccessLicenseProfile" => [
                    "CountryCode" => $args['CountryCode'],
                    "LanguageCode" => $this->lang,
					"AccessLicenseText" => $licenseText
                ],
                "ClientSoftwareProfile" => [
                    "SoftwareInstaller" => 'Prestashop',
                    "SoftwareProductName" => 'Prestashop module',
                    "SoftwareProvider" => 'Prestashop',
                    "SoftwareVersionNumber" => $args['PlatformVersion'],
                ]
            ];
            return $req_data;
    }

    protected function responseHandler($response)
    {
        $data = parent::responseHandler($response);

        if (isset($data->AccessLicenseAgreementResponse))
        {
            $res = $this->formatReturn($data, 'AccessLicenseAgreementResponse');
            
            $res['Content'] = htmlspecialchars_decode(
                                html_entity_decode(
                                    $data
                                        ->AccessLicenseAgreementResponse
                                        ->AccessLicenseText,
                                    ENT_XML1,
                                    'UTF-8'
                            ));
        }
        elseif (isset($data->AccessLicenseResponse))
        {
            $res = $this->formatReturn($data, 'AccessLicenseResponse');
            $res['AccessLicenseNumber'] = $data->AccessLicenseResponse->AccessLicenseNumber;
        }
        elseif (isset($data->Fault))
        {
            $res = [
                'Code' => $data
                        ->Fault
                        ->detail
                        ->Errors
                        ->ErrorDetail
                        ->PrimaryErrorCode
                        ->Code,
                'Description' => $data
                        ->Fault
                        ->detail
                        ->Errors
                        ->ErrorDetail
                        ->PrimaryErrorCode
                        ->Description
            ];
        }
        else
        {
            $res = [
                'Code' => -1,
                'Description' => 'No internet connection'
            ];
        }

        return $res;
    }

    public function setAccessLicenseAgreementRequest()
    {
        $this->flag = 'AccessLicenseAgreementRequest';
    }

    public function setAccessLicenseRequest()
    {
        $this->flag = 'AccessLicenseRequest';
    }
}
